#!/bin/sh

function compile
{
  echo compiling $1
  gcc -I/usr/include/freetype2 -I/usr/include/libpng15 -O2 -c $1 || exit 1
}

compile bfont.c
compile config.c
compile desk.c
compile graymap.c
compile image.c
compile main.c
compile menu.c
compile mklist.c
compile mprintf.c
compile pngio.c
compile ptrbuf.c
compile rect.c
compile resize_image.c
compile retarded.c
compile txtren.c
compile window.c
compile x11iface.c

gcc -static -s -o mudesk \
   bfont.o config.o desk.o graymap.o image.o main.o menu.o \
   mklist.o mprintf.o pngio.o ptrbuf.o rect.o resize_image.o \
   retarded.o txtren.o window.o x11iface.o \
   -Wl,--start-group -lX11 -lXau -Wl,--end-group -lXext \
   -lpng -lfreetype -lz -lbz2 -lm
