/*
Copyright (c) 2016 Şükrü Çınar.

All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
#line 118 "/home/dodo/tmp/mudesk-1.0/desk/image.u"
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <stdio.h>
#include "pngio.h"
#include "image.h"
#include "resize_image.h"

#line 10 "image.c"

static int load_icon_builtin
   (const char *name,uint32_t *Rw,uint32_t *Rh,uint32_t **Rd);
static int load_icon_file
   (const char *name,uint32_t *Rw,uint32_t *Rh,uint32_t **Rd);
#line 43 "/home/dodo/tmp/mudesk-1.0/desk/image.u"

static int load_icon_builtin
   (const char *name,uint32_t *Rw,uint32_t *Rh,uint32_t **Rd)
{
  typedef struct { const char *name; const unsigned char *data; 
                   const size_t size; } builtin_image_t;
  int i;
#line 23 "image.c"
static const unsigned char I_0[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x40,
0x00,0x00,0x00,0x40,0x08,0x06,0x00,0x00,0x00,0xaa,
0x69,0x71,0xde,0x00,0x00,0x00,0x04,0x73,0x42,0x49,
0x54,0x08,0x08,0x08,0x08,0x7c,0x08,0x64,0x88,0x00,
0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,
0x13,0x00,0x00,0x0b,0x13,0x01,0x00,0x9a,0x9c,0x18,
0x00,0x00,0x0f,0x57,0x49,0x44,0x41,0x54,0x78,0x9c,
0xd5,0x9b,0x7b,0x74,0x55,0xd5,0x9d,0xc7,0x3f,0x7b,
0x9f,0x73,0xee,0x23,0xcf,0x7b,0x6f,0x02,0x09,0x0f,
0x03,0xa2,0x84,0x57,0x0c,0xb8,0x0a,0xc4,0x57,0xd5,
0x3a,0x32,0x16,0x97,0xd3,0x51,0x44,0x5b,0x9f,0x0d,
0x0c,0xd6,0x59,0x0e,0xa2,0x63,0x5b,0x3b,0xe2,0x62,
0xac,0x3a,0x3a,0x0e,0xbe,0x10,0x67,0xa6,0x95,0xa9,
0x03,0x5a,0xab,0x0b,0x0a,0x42,0x67,0x1c,0x8b,0x0b,
0xaa,0x2c,0xad,0x08,0x28,0x0e,0x01,0x24,0x04,0xe4,
0x11,0x50,0x20,0x04,0xee,0x4d,0x72,0xf3,0xb8,0x8f,
0x73,0xce,0x9e,0x3f,0x4e,0x12,0x08,0xb9,0xf7,0xe6,
0x1e,0x12,0x6c,0xe7,0xbb,0x56,0x16,0xe1,0xec,0x9d,
0xdf,0xfe,0xfd,0x7e,0xfb,0xb7,0xf7,0xef,0xb1,0xf7,
0x16,0x9c,0x6b,0xac,0x68,0x28,0x45,0xf7,0x5e,0x89,
0x52,0x13,0x10,0x6a,0x0c,0xa8,0xd1,0x20,0x8b,0xb1,
0xed,0xfc,0x3c,0xa9,0xf2,0xd1,0x85,0x6a,0x35,0x89,
0x82,0x6c,0xc5,0xb6,0x1b,0x11,0x72,0x0f,0x42,0xd5,
0xa1,0xc4,0x17,0xa0,0x7f,0xc8,0xcd,0xf9,0xc7,0xcf,
0x25,0x7b,0x62,0xc0,0x29,0x2a,0x25,0xf8,0x5d,0xcb,
0x54,0x6c,0xfb,0x76,0x6c,0xa6,0x15,0x7a,0xc5,0xb8,
0xc9,0x01,0x9d,0xf3,0x73,0x05,0x21,0x43,0x10,0xf2,
0x48,0x42,0x1e,0x41,0xc8,0x23,0x68,0x33,0x15,0x52,
0x80,0x4f,0x0a,0xc2,0x49,0x45,0x38,0x61,0x13,0x4e,
0x28,0x22,0x49,0xc5,0x81,0x76,0x9b,0x4f,0xc3,0x16,
0x2d,0xa6,0xda,0x09,0x6a,0x1d,0x96,0x7c,0x93,0x99,
0x85,0x5b,0x11,0x42,0x0d,0x24,0xbb,0x03,0xa7,0x80,
0xd5,0x91,0x00,0x36,0xf7,0xa2,0xd4,0xec,0x61,0xb9,
0x5a,0x79,0x55,0x50,0xa3,0x2a,0xa4,0x53,0xea,0x15,
0x6c,0x38,0x61,0xd2,0x18,0x57,0x84,0x13,0xaa,0x87,
0xa0,0x66,0xa7,0x28,0xba,0xa0,0x53,0x29,0xb2,0x53,
0x49,0x82,0xc1,0x5e,0xc1,0x55,0xc5,0x3a,0x47,0x63,
0x8a,0xcd,0x11,0x93,0xcd,0x61,0x8b,0x23,0xed,0x76,
0x2d,0x82,0xff,0xc4,0x6f,0x2d,0xe1,0xfa,0xe2,0x96,
0x81,0x60,0xbb,0xff,0x0a,0x78,0xbb,0xb9,0x08,0xec,
0x87,0xb0,0x99,0x7b,0xdd,0x10,0xbd,0x60,0x7a,0x89,
0x81,0x2e,0x60,0x73,0xc4,0x62,0x73,0xd8,0x64,0x4f,
0xab,0xdd,0x2f,0xf2,0x63,0xf2,0x24,0x55,0x21,0x9d,
0xaa,0xa0,0x46,0xcc,0x56,0xac,0x6d,0x30,0x59,0x77,
0x2c,0xd1,0x84,0x90,0x8b,0xf1,0x8a,0x45,0xdc,0x10,
0x88,0xf4,0x87,0xfe,0xd9,0x2b,0xe0,0x31,0x25,0xa9,
0x6c,0xbe,0x07,0x65,0xfd,0xf3,0x25,0xc5,0x9e,0x60,
0x75,0x99,0x87,0x9a,0x66,0x8b,0xd5,0x47,0x93,0x1c,
0x8b,0xf5,0x4f,0xe8,0x74,0x28,0xf5,0x49,0x66,0x0c,
0x35,0xa8,0x28,0x90,0x2c,0xab,0x4f,0xb0,0xe5,0x64,
0xf2,0x04,0x52,0xfe,0x8c,0x9a,0xc0,0x32,0x1e,0x17,
0x67,0x35,0xe8,0xd9,0x29,0x60,0x4d,0xf3,0x18,0x4c,
0xeb,0xf5,0xb1,0x85,0xfa,0xd4,0xea,0x32,0x0f,0x4d,
0x49,0xc5,0xb2,0x43,0x89,0x73,0x26,0xf8,0x99,0x18,
0xe2,0x93,0x54,0x97,0x79,0xc8,0x37,0x60,0x59,0x7d,
0x82,0x3d,0x51,0x7b,0x23,0x42,0xdc,0xcd,0x8c,0xc0,
0x3e,0xb7,0xb4,0xdc,0x2b,0x60,0x55,0xf8,0x0e,0x10,
0xaf,0xcc,0x1e,0xe9,0xcd,0x2d,0xcf,0x93,0x2c,0xad,
0x8f,0x53,0xd7,0x4f,0x33,0x3f,0x5b,0x8c,0xcb,0xd7,
0xa8,0x1e,0xe1,0x61,0x77,0xd4,0x62,0xe9,0x81,0x44,
0x0b,0x52,0xcc,0x61,0x46,0xe0,0xb7,0x6e,0x68,0x64,
0xaf,0x80,0x15,0x4a,0x43,0x6b,0x5a,0x84,0x60,0xee,
0x53,0xe3,0x7d,0x7c,0xd0,0x68,0xb2,0xbe,0xd1,0x74,
0xcd,0xf4,0xb9,0xc0,0x75,0x25,0x3a,0x57,0x14,0xe9,
0x2c,0xd8,0x15,0x03,0xa5,0x5e,0x60,0x7b,0xf0,0xa7,
0xd9,0x2e,0x89,0xec,0x14,0xf0,0xae,0xed,0x25,0xd6,
0xf4,0x46,0xc8,0x23,0x67,0x2e,0xae,0xf4,0xf3,0x74,
0x5d,0x9c,0x5d,0x51,0xab,0x5f,0x4c,0x0f,0x34,0x2a,
0x0a,0x34,0x1e,0x1e,0xed,0x65,0xde,0xf6,0x0e,0x9a,
0x92,0xea,0x4d,0xcc,0xc0,0x2c,0x6e,0x15,0x89,0xbe,
0xfe,0xae,0x6f,0x05,0x38,0xc2,0xff,0xf7,0xc8,0x1c,
0x6d,0xda,0x82,0xb1,0x3e,0xe6,0xd5,0x74,0xd0,0x66,
0x0d,0xa8,0x2b,0x1e,0x30,0xe4,0xeb,0x82,0xc5,0x13,
0xfd,0x3c,0x56,0x1b,0xe3,0x50,0xab,0xfd,0x7b,0xec,
0xc0,0x8d,0x7d,0x29,0x41,0x66,0xa4,0xb8,0x42,0x69,
0xc4,0x9a,0xde,0x18,0x99,0xa3,0x4d,0xbb,0x6f,0x94,
0x97,0xbf,0xf9,0xbc,0xfd,0xcf,0x56,0x78,0x80,0xa8,
0xa9,0x98,0xb5,0xb5,0x9d,0xfb,0x47,0x79,0x29,0xcb,
0x93,0xd3,0xd1,0x9b,0x96,0xf2,0x98,0xca,0x28,0x63,
0x66,0x05,0x68,0x4d,0x8b,0x42,0x1e,0x39,0x73,0xc1,
0x58,0x1f,0x0f,0xef,0xec,0x18,0x50,0x66,0xcf,0x25,
0x7e,0xba,0xb3,0x83,0x27,0xc6,0xf9,0x28,0x34,0xc4,
0xed,0x54,0x46,0x9e,0xcd,0xd4,0x37,0xbd,0x02,0x56,
0x85,0xef,0x40,0x30,0x77,0x71,0xa5,0x9f,0x79,0x35,
0xfd,0x13,0x5e,0x08,0x67,0xa5,0xe5,0xea,0xce,0xff,
0xfd,0x9a,0xa0,0xd8,0xe3,0x7c,0x0b,0x79,0x04,0x79,
0xba,0xf3,0xbb,0x21,0x9d,0x7f,0x07,0x22,0x3c,0x9d,
0x57,0xd3,0xc1,0xe2,0x4a,0x3f,0x08,0xf1,0x10,0xab,
0x22,0x33,0xd3,0xf5,0x4b,0xad,0x80,0x35,0xcd,0x63,
0x40,0xbc,0xf2,0xd4,0x78,0x1f,0x4f,0xd7,0xc5,0xfb,
0x6d,0xf6,0x25,0x5e,0x81,0x14,0x50,0xea,0xd3,0xa8,
0xbb,0x36,0x9f,0xb6,0xef,0x15,0xf2,0xeb,0xc9,0x39,
0x00,0xfc,0xcb,0x04,0x3f,0x2d,0x7f,0x55,0xc8,0xef,
0x2e,0xcd,0xc5,0x56,0x8a,0x41,0x5e,0xc9,0xe8,0xbc,
0xcc,0x86,0x99,0x0d,0x5a,0x4c,0xc5,0x73,0x7b,0xe3,
0x3c,0x31,0xce,0x07,0x8a,0x57,0x79,0xbb,0xe9,0x82,
0x54,0xfd,0x7a,0x8f,0xf4,0x98,0x92,0x98,0xd6,0xeb,
0xb3,0x47,0x7a,0x72,0x3f,0x38,0x61,0x9e,0xd5,0x6e,
0xdf,0x35,0x83,0xd3,0x4b,0x0c,0xde,0xbb,0x3c,0x8f,
0xa0,0x21,0xd0,0x04,0xac,0x9a,0x9a,0x43,0x79,0xbe,
0xd6,0x6b,0x86,0x05,0xf0,0xbd,0x52,0x83,0x7f,0x1c,
0xeb,0xa3,0x31,0x6e,0x73,0xcb,0x30,0x0f,0x9b,0xaf,
0xce,0xe7,0xd6,0x61,0x46,0xbf,0xac,0x61,0x47,0x8b,
0xc5,0xc7,0x27,0x4d,0xaa,0xcf,0xf7,0x14,0x60,0xab,
0x65,0x28,0xd5,0x8b,0x5c,0x6f,0x05,0x4c,0x6a,0x9e,
0x33,0xb6,0x50,0x9f,0x5a,0x9e,0xa7,0xb1,0xfe,0xb8,
0x3b,0x3f,0xdf,0x45,0x7d,0x7c,0x81,0xc6,0x47,0x57,
0xe6,0xf1,0xee,0x65,0xb9,0xd4,0x34,0x5b,0xd4,0x46,
0x2d,0xe6,0x97,0xfb,0x98,0x58,0xa8,0x65,0xfc,0xfb,
0x47,0xca,0x7d,0x5c,0x54,0xa0,0xb1,0x70,0x6f,0x8c,
0x90,0x47,0xb0,0x7c,0x6a,0x2e,0xdb,0xae,0xc9,0xe7,
0xb2,0x90,0xb3,0x76,0xba,0x96,0x92,0x1b,0xbc,0x77,
0xdc,0x64,0x7c,0xbe,0xc6,0xe8,0x02,0x79,0x05,0xab,
0x23,0x77,0x9f,0xd9,0xde,0x53,0x01,0xff,0xd5,0x52,
0x8c,0x65,0x3d,0x53,0x5d,0xe6,0x61,0x69,0x7d,0xdc,
0xd5,0x40,0x52,0x08,0x14,0xf0,0xe3,0xd1,0x5e,0x3e,
0xff,0x4e,0x3e,0x57,0x14,0xe9,0x84,0x13,0x8a,0xa7,
0xea,0x62,0x94,0xe5,0x48,0x7e,0x56,0xee,0xed,0x93,
0x86,0x21,0x61,0xf1,0x44,0x3f,0x49,0x1b,0x1e,0xfd,
0xc2,0xd9,0x77,0x2a,0x0b,0x1d,0x65,0x3e,0x3d,0xc1,
0x87,0xc0,0x49,0x9f,0xdd,0x62,0x59,0x7d,0x82,0x59,
0x23,0x3c,0x80,0x7a,0x96,0xd5,0x91,0x40,0x0f,0xbe,
0x7b,0xf4,0x34,0xad,0xbf,0xbf,0xa4,0xd8,0x13,0x6c,
0x4a,0x2a,0x57,0xe1,0xad,0x04,0x04,0x8a,0x5f,0x4f,
0xce,0xe1,0xb9,0x0a,0x3f,0x9e,0x4e,0xaa,0x2f,0xed,
0x8b,0xd3,0x9c,0x54,0x3c,0x3e,0xce,0x87,0x5f,0xcb,
0x8e,0xf3,0xab,0x8b,0x75,0xbe,0x5b,0x62,0xb0,0xe2,
0xeb,0x64,0xf7,0xf2,0x93,0xc2,0xb1,0x8e,0x77,0x2e,
0xcd,0xc5,0x2b,0x85,0x6b,0x4b,0xd8,0x15,0xb5,0x68,
0x33,0x61,0x4a,0xd0,0x18,0x84,0x52,0xf3,0xce,0xe4,
0xdd,0x81,0x93,0xcf,0xcf,0xad,0x2e,0xf3,0xb0,0xec,
0x50,0x9f,0x01,0x54,0x4f,0x02,0x02,0x56,0x56,0xe5,
0x72,0xe7,0x79,0x9e,0xee,0xef,0x1d,0x96,0xe2,0xdf,
0xf6,0xc7,0x19,0x91,0x23,0x7b,0x7c,0xcf,0x06,0x8f,
0x8e,0x71,0xac,0xe5,0x85,0xbd,0x3d,0xad,0x70,0x7a,
0x89,0xc1,0xba,0xcb,0x73,0xf1,0xca,0xbe,0xfc,0x77,
0x6f,0x2c,0xad,0x4f,0x50,0x5d,0xe6,0x01,0xd4,0x03,
0xac,0x68,0xc8,0xeb,0xc1,0x3f,0x00,0x36,0xf7,0x5e,
0x37,0x44,0x2f,0xa8,0x69,0xb6,0x5c,0x65,0x75,0x36,
0xf0,0xcb,0x49,0x39,0xdc,0x38,0xc4,0xe8,0xf1,0x7d,
0xd5,0x91,0x24,0x27,0x13,0x8a,0xb9,0xa3,0xbc,0xe8,
0x2e,0xcd,0xf6,0xf2,0x22,0x9d,0x6f,0x05,0x34,0xde,
0xfc,0x2a,0x49,0x73,0x52,0xf5,0x6a,0x5b,0x3e,0x25,
0x07,0x1b,0x70,0x63,0x08,0x47,0x62,0x36,0xbb,0xa2,
0x36,0xd7,0x0e,0xf6,0x84,0xd0,0x3c,0xf7,0x74,0x7d,
0x77,0x76,0x17,0xa5,0x04,0xab,0x22,0xb3,0xa7,0x97,
0x18,0x3c,0xb3,0xc7,0xdd,0xda,0xbf,0xba,0x58,0x27,
0x68,0x08,0x56,0x7e,0x9d,0xec,0xf1,0xfd,0xb9,0x3d,
0x71,0x24,0xa4,0x6c,0x03,0xd8,0xd6,0xec,0x98,0xf7,
0xd6,0x26,0x8b,0x40,0x8a,0xf6,0x6f,0x05,0x74,0xb6,
0x36,0xc5,0x79,0xe4,0x8b,0x18,0xd7,0x0c,0xd2,0x7b,
0xb5,0xdf,0x38,0xc4,0xc3,0x9a,0xa3,0xd9,0x5b,0x2a,
0xc0,0xea,0x23,0x49,0x7e,0x3c,0xda,0xcb,0xfa,0xe3,
0xe6,0x6c,0x94,0x5a,0x84,0x10,0x9d,0x6e,0x61,0x4d,
0x73,0xd5,0x30,0x2f,0x9b,0x1e,0x29,0xf7,0x32,0x37,
0xcb,0xa0,0x47,0x0a,0xb0,0xff,0xc4,0x51,0xb1,0x21,
0xc1,0x54,0xa0,0x5c,0xf0,0xf1,0x8b,0x49,0x7e,0x1e,
0xdf,0x1d,0xe7,0x58,0xdc,0xbe,0x98,0x9b,0x82,0xdb,
0x1c,0xd5,0xda,0xf6,0xed,0x55,0x41,0x83,0xcd,0x91,
0xec,0x7d,0xbe,0xad,0xe0,0xef,0x46,0x79,0xb8,0xa2,
0xa8,0xf7,0xec,0x6c,0x0c,0x9b,0xbc,0xbc,0x2f,0xc1,
0x9c,0x11,0x1e,0xfe,0x62,0x70,0xef,0x76,0x80,0x9a,
0x66,0x8b,0x67,0xf6,0xc4,0xf9,0xd1,0x48,0x0f,0xdf,
0x49,0x31,0xc3,0x00,0x4f,0xee,0x8e,0xb1,0xb7,0xcd,
0xe6,0x57,0x17,0xfb,0xf1,0xa4,0xd8,0xfe,0xbf,0x6c,
0xb3,0x9d,0x14,0xd8,0x05,0x36,0x87,0x2d,0x2e,0x09,
0x6a,0xac,0x39,0x6a,0xdd,0x01,0x74,0x29,0x80,0x69,
0x55,0x21,0x9d,0x57,0x0f,0x66,0x67,0xfe,0x02,0xb8,
0x20,0x4f,0xf2,0x52,0x65,0x0e,0xa9,0x36,0xf7,0xf7,
0x3b,0xeb,0x04,0xf3,0xc7,0xfa,0x38,0x3f,0x27,0xf5,
0x76,0x15,0x30,0x92,0x3c,0xb3,0x27,0xce,0x94,0xa0,
0xce,0x0f,0x86,0xa7,0xde,0x24,0x0f,0xb4,0xdb,0xcc,
0xff,0x22,0xc6,0x79,0x7e,0x2d,0xa5,0x92,0x14,0xb0,
0xb6,0xc1,0x64,0xe3,0x49,0x93,0x6c,0x8d,0x60,0x73,
0xc4,0xe2,0xae,0x32,0x83,0x35,0x5f,0xab,0x6b,0x01,
0x24,0x2b,0x1a,0x4a,0x0b,0xbd,0x62,0x5c,0xa9,0x57,
0x64,0x5d,0xc0,0x54,0xc0,0xfd,0xa3,0xbc,0x29,0x85,
0x07,0xf8,0x24,0x6c,0x31,0xd4,0x27,0x19,0x99,0x46,
0xf8,0x6c,0xd1,0x65,0x5d,0x9f,0x84,0x53,0x07,0x64,
0x02,0x78,0xf0,0x02,0x6f,0xd6,0xc2,0x03,0xd4,0x46,
0x2d,0xce,0xf3,0x4b,0xf2,0x3c,0xda,0x24,0xde,0x6e,
0x2e,0x92,0xe8,0xde,0x2b,0x27,0x07,0x34,0x36,0x9c,
0xc8,0x3e,0xea,0xd3,0x04,0xdc,0x96,0x66,0xd6,0xe2,
0xb6,0x33,0xc8,0xe4,0x60,0xef,0x90,0xd7,0x2d,0x26,
0x15,0x3a,0x34,0xfe,0xb7,0x39,0xfd,0xd2,0xbc,0xa1,
0x54,0xa7,0xc0,0x10,0xae,0xc6,0xda,0xd0,0x68,0x31,
0x25,0xa0,0x81,0xb0,0xbf,0x2d,0x51,0x6a,0xc2,0xf9,
0xb9,0x92,0xc6,0x78,0x76,0x7a,0x14,0x02,0xaa,0x82,
0x3a,0x83,0xbc,0xa9,0x87,0xfc,0xb2,0xd5,0xc2,0x52,
0x30,0x3e,0x3f,0x73,0xd8,0x9b,0x0d,0xf2,0x75,0x41,
0x59,0x8e,0x64,0x77,0x34,0xbd,0x65,0xfa,0x34,0xc1,
0xb4,0x41,0xba,0x2b,0x2b,0x68,0x4c,0xd8,0x8c,0xcc,
0x95,0xa0,0xd4,0x04,0x89,0x50,0x63,0x42,0x86,0x20,
0x9c,0xc8,0x8e,0x84,0x52,0x70,0x55,0x71,0xea,0x4d,
0x0b,0x9c,0x75,0x0b,0x70,0x41,0x6e,0xff,0x33,0xba,
0x2e,0x3a,0xfb,0xdb,0xec,0x8c,0x02,0x66,0xe2,0x27,
0x15,0xc2,0x09,0x45,0xc8,0x23,0x00,0x31,0x46,0x82,
0x1a,0x1d,0xf2,0x48,0xc2,0xc9,0xec,0x75,0x58,0x51,
0x90,0x5e,0xb8,0x63,0x31,0x87,0xce,0x10,0xdf,0xc0,
0x1c,0x3a,0x0d,0xf5,0x49,0xda,0x2d,0x45,0xd4,0x4c,
0xcf,0x5f,0x45,0x81,0x3b,0x6b,0x0b,0x27,0x14,0x21,
0x43,0x80,0x52,0xe5,0x12,0x64,0x71,0xc8,0x23,0x08,
0x27,0xb2,0x8f,0xfe,0xce,0xcf,0x30,0xbb,0x91,0x4e,
0x45,0x86,0x3c,0x03,0xa3,0x80,0x60,0x27,0x9d,0xa6,
0x0c,0x16,0x3a,0xca,0xa5,0xb5,0x85,0x93,0x5d,0x16,
0xa0,0x8a,0x74,0x6c,0x3b,0xdf,0x51,0x40,0xf6,0x16,
0xf0,0xf2,0xfe,0x04,0xbf,0x39,0xdc,0x3b,0x7a,0x03,
0xf8,0xac,0x33,0x96,0x78,0x69,0x5f,0xfa,0x3e,0x00,
0x87,0x3a,0x97,0xca,0x9b,0x5f,0x25,0xba,0xa3,0xc2,
0x54,0xe8,0xf2,0x00,0xf3,0x77,0xc5,0x08,0x18,0xa9,
0x95,0xea,0x62,0xee,0x00,0x08,0x27,0x6c,0x42,0x1e,
0x09,0x4a,0xe4,0xeb,0x79,0x52,0xe5,0xb7,0x99,0xa7,
0x0e,0x2a,0xb3,0xc1,0x5b,0x87,0xfb,0x0e,0x41,0x97,
0x7f,0x95,0x5d,0x98,0xfa,0x41,0xa3,0xc9,0x07,0x59,
0x9c,0x2f,0xfc,0x26,0x8b,0x31,0xb3,0x45,0xc2,0x86,
0xa4,0xad,0xf0,0x1b,0xb2,0x40,0x47,0x17,0xd2,0x6d,
0x8e,0xbd,0xf6,0xf2,0x5c,0x26,0xa4,0xd9,0xe5,0x5f,
0xde,0x17,0x67,0xe1,0xde,0x38,0xef,0x5e,0x96,0xcb,
0x45,0x19,0xd6,0xe6,0x86,0x13,0x26,0x77,0x7d,0xd6,
0xce,0xc2,0x0a,0x3f,0xb7,0x0d,0x37,0xd2,0xf6,0x7b,
0xb2,0x2e,0xc6,0x92,0x03,0x09,0x3e,0xfc,0x76,0x5e,
0xda,0xa5,0x77,0x22,0xa1,0xb8,0xf8,0xfd,0xa8,0x2b,
0x19,0xa4,0x00,0x2c,0x4b,0xea,0xad,0xa6,0x8c,0xfb,
0xa4,0xf0,0xeb,0x82,0xac,0xad,0x40,0x20,0x18,0xee,
0x4f,0xcd,0x4c,0xd7,0x77,0x9f,0x4c,0xdf,0x07,0xe8,
0x2e,0x8a,0x06,0x8d,0xcc,0xfd,0xba,0xe2,0xfc,0x31,
0xf9,0x1a,0x83,0xd3,0xb8,0xde,0x48,0xd2,0x5d,0xd9,
0xce,0x49,0xa7,0x05,0x1d,0xb6,0x8c,0x4b,0xa0,0xe9,
0xd4,0xa6,0x90,0x1d,0x76,0x67,0xa8,0x13,0x16,0x77,
0x32,0xd9,0xe8,0x62,0x4f,0xc9,0x84,0xc6,0xb8,0x42,
0xe0,0x28,0x2a,0x1d,0xea,0x32,0xc4,0x09,0xa9,0xe0,
0x78,0x3d,0x1b,0x24,0x11,0x89,0x6d,0x37,0x74,0x6f,
0x0a,0x59,0xe2,0xb3,0xa6,0xf4,0x0a,0x18,0xe6,0x73,
0xe8,0x1c,0x6e,0x1f,0x98,0x03,0xd3,0xc3,0x1d,0x36,
0xa5,0x3e,0x89,0x91,0x81,0xbd,0x2d,0x11,0x77,0xb5,
0xcb,0xee,0x4d,0xdf,0x56,0x0d,0x12,0xc1,0xc1,0x6e,
0xbf,0x98,0x05,0x04,0xb0,0xfe,0x78,0xfa,0xe4,0xa3,
0xab,0xa4,0x5d,0xd7,0xda,0xff,0xb3,0x43,0x05,0xec,
0x69,0xb5,0xb9,0xb0,0x0f,0x37,0xf7,0x87,0x46,0xd3,
0x55,0x85,0xa8,0x3b,0xf0,0x93,0x1c,0x90,0x20,0x6b,
0x23,0x2e,0x96,0x80,0x02,0x8e,0xc6,0x6c,0x3e,0x3e,
0x99,0x5a,0xeb,0xa5,0x3e,0x49,0x91,0x47,0x50,0x93,
0xc1,0xb5,0x65,0x8b,0x83,0xed,0x36,0x51,0x53,0x51,
0x99,0xa1,0x9a,0xfc,0x65,0x9b,0xcd,0xe7,0x4d,0x16,
0x6e,0xec,0x2d,0xe8,0x11,0x5d,0xf1,0x4a,0xad,0x44,
0x88,0x6d,0x07,0xda,0x14,0x83,0xbd,0xee,0x82,0x89,
0x5f,0x1d,0x4c,0xed,0x96,0x04,0x30,0x39,0xa8,0xb1,
0xad,0xd9,0x22,0xd6,0xcf,0x03,0x95,0x4d,0x9d,0x31,
0xc0,0xe4,0x60,0x7a,0x05,0x2c,0xad,0x77,0xef,0x1e,
0x4b,0xbc,0x82,0x83,0x6d,0x36,0x08,0x51,0x23,0x11,
0xd6,0x27,0x9f,0x46,0x4c,0xae,0x2a,0xce,0x3e,0x9c,
0x14,0xc0,0x1b,0x87,0x13,0xdd,0xc1,0xcc,0x99,0xb8,
0xa2,0x48,0x27,0x61,0x3b,0x69,0x71,0x7f,0xb0,0xa1,
0x33,0x3e,0x48,0x55,0x74,0x01,0x68,0x4e,0x2a,0xfe,
0x75,0x7f,0xdc,0x55,0x6d,0x10,0x9c,0xdc,0x61,0x4b,
0xc4,0x02,0x5b,0xdf,0xe8,0xfc,0xe9,0xaa,0x93,0x7b,
0x9f,0xa9,0xc8,0xbd,0xd0,0xed,0x6d,0x8f,0x80,0x21,
0x18,0x96,0xc2,0x85,0x75,0x58,0x8a,0xfd,0x6d,0x36,
0x45,0x5e,0x41,0x69,0x1a,0xcb,0x6a,0x35,0x15,0xf5,
0xed,0x36,0x43,0xfd,0x32,0xed,0x0e,0xbf,0xa7,0xd5,
0x46,0x40,0xda,0xa3,0x32,0x8f,0xc8,0x9c,0x2a,0xa7,
0xc2,0xf8,0x7c,0x8d,0x3b,0xcb,0x0c,0xe6,0xef,0x88,
0xed,0x60,0x66,0xb0,0xb2,0x93,0xb2,0xfc,0x9f,0xcd,
0x11,0x93,0xaa,0x90,0xbb,0xac,0xaa,0x29,0xa9,0x68,
0x49,0xda,0x98,0xb6,0xea,0xf1,0x63,0x08,0xe7,0xea,
0x5b,0x4b,0x42,0xf5,0x6a,0xeb,0xfa,0xb1,0x3a,0x0b,
0x8a,0x76,0x9a,0xf6,0xd6,0xa4,0x22,0x69,0x2b,0x72,
0x35,0x52,0xb6,0xb7,0x99,0x8a,0x6d,0x2d,0x96,0xeb,
0x9a,0x43,0x55,0x48,0x63,0x53,0xd8,0x02,0xa9,0xde,
0x85,0xee,0xaa,0xb0,0xfd,0xdb,0xcd,0x61,0xeb,0x81,
0x47,0xc7,0x78,0x79,0xfd,0x50,0xf6,0xc4,0x84,0x10,
0x24,0x95,0xe0,0xc3,0x2b,0xf3,0x7b,0x05,0x29,0x3f,
0xd9,0xd9,0xc1,0xf3,0x7b,0xe3,0x2c,0xb9,0x38,0x87,
0x2b,0x53,0xa4,0xab,0x6b,0x1b,0x92,0x4c,0xdf,0xd8,
0xc6,0x93,0xe3,0xfd,0xcc,0x19,0xd9,0xbb,0xb8,0x72,
0xdf,0xb6,0x0e,0x7e,0x71,0x20,0xce,0xef,0x2f,0xcf,
0xa3,0xea,0x8c,0x3d,0xa0,0xd5,0x54,0x4c,0xde,0xd0,
0x0a,0x0a,0x57,0x75,0x00,0x70,0x6a,0x19,0x3f,0xdf,
0x1d,0x03,0x4b,0xae,0x84,0xae,0x73,0x81,0x1d,0xa1,
0x4f,0x8e,0xb4,0x9b,0xfb,0x62,0xb6,0xb3,0x8b,0x67,
0x0b,0xa5,0x14,0xc7,0x62,0x36,0x7f,0xbd,0xa9,0xad,
0xd7,0x09,0xf2,0xac,0x32,0x47,0xa8,0x7f,0x3f,0xe0,
0xae,0xcc,0x0e,0xce,0xc9,0xee,0x1b,0x87,0x13,0x4c,
0x28,0xd0,0x98,0x7a,0x86,0xf0,0xa6,0x82,0xdb,0x3e,
0x6d,0xa7,0x2e,0x6a,0xb9,0x16,0x7e,0xa8,0x4f,0x12,
0x35,0x6d,0x8e,0xb5,0xdb,0xb5,0xcc,0x2c,0xdc,0x0a,
0x5d,0x0a,0x78,0x5c,0xd8,0x68,0x72,0xc9,0xda,0x86,
0x24,0x33,0x86,0xa6,0x8f,0xcb,0xd3,0x61,0x53,0xd8,
0xe4,0xa6,0x4d,0x6d,0xb4,0x9e,0x16,0x4b,0x4f,0x28,
0xd0,0xb8,0x66,0x90,0xce,0xca,0xaf,0x93,0xdd,0x45,
0x92,0x6c,0xf1,0xca,0x81,0x04,0x51,0x53,0x71,0xff,
0x28,0x6f,0x0f,0x13,0x4f,0xd8,0x70,0xf7,0x67,0xed,
0xbc,0x73,0x2c,0x7d,0x96,0x99,0x09,0x37,0x0f,0x33,
0x58,0xdb,0x60,0x82,0x60,0x49,0xd7,0x95,0xdb,0x53,
0xd3,0x6d,0x88,0xff,0x58,0xd7,0x60,0xb6,0x55,0x14,
0x48,0x86,0xb8,0xb0,0x82,0x2e,0xac,0x3b,0x6e,0x72,
0xcd,0x1f,0x5b,0x39,0xdc,0x71,0x4a,0xd8,0x7f,0x28,
0xf7,0x61,0x29,0x78,0xa2,0x36,0xfb,0xd2,0x75,0xd4,
0x54,0x2c,0xdc,0x13,0x63,0x88,0x4f,0xf2,0xc3,0xb2,
0x53,0x93,0x71,0x32,0xa1,0xb8,0xe1,0x93,0x56,0xde,
0xca,0x32,0xcb,0x3c,0x13,0xc3,0xfd,0x92,0xf2,0x3c,
0xc9,0x1f,0x1a,0xcd,0x66,0x34,0xf3,0xd5,0xae,0xef,
0xa7,0x24,0x75,0xae,0x9c,0xbe,0xbc,0xac,0xfb,0x0c,
0xcd,0x3d,0x3e,0x8d,0x58,0x4c,0x7c,0x3f,0xca,0xca,
0xaf,0x93,0x28,0xe0,0xda,0xc1,0x3a,0x57,0x17,0xeb,
0xbc,0x76,0x28,0xc1,0xe7,0x19,0xc2,0xe7,0xd3,0xf1,
0x54,0x5d,0x8c,0x13,0x09,0xc5,0x82,0xb1,0x5e,0x7c,
0x9d,0x65,0xe7,0xf5,0xc7,0x4d,0x26,0xbe,0x1f,0x65,
0x9d,0xcb,0xe3,0xfa,0xd3,0x51,0x5d,0xe6,0x61,0x59,
0x7d,0x02,0x50,0x2f,0x72,0xe3,0xa0,0xee,0xd4,0xf1,
0x8c,0xd3,0x61,0xf1,0xec,0x96,0x93,0xc9,0x48,0xbe,
0xe1,0x5c,0x42,0x3c,0x1b,0x34,0x25,0x14,0xb7,0x6c,
0x69,0x63,0xfa,0xc6,0x56,0xb6,0x46,0x2c,0x5e,0xb8,
0xc8,0x8f,0x10,0xf0,0xb7,0xdb,0xda,0xfb,0xcc,0x36,
0x77,0xb6,0x58,0x3c,0xbf,0x37,0x4e,0x45,0x81,0xc6,
0x3d,0x23,0xbd,0xd4,0x46,0x2d,0xbe,0xbf,0xa5,0x8d,
0x69,0x1f,0xb7,0x72,0xa4,0xe3,0xec,0x73,0x8b,0x8a,
0x02,0x0d,0x9f,0x06,0x5b,0x9b,0x92,0x8d,0x98,0x2c,
0x3a,0xbd,0xad,0xa7,0x02,0xbe,0x1f,0x08,0x23,0xc4,
0x82,0x65,0xf5,0x09,0xaa,0x47,0x9c,0x9d,0x15,0x74,
0xc9,0xf8,0x5e,0x83,0xc9,0x94,0x0d,0x51,0x7e,0xb2,
0xb3,0x83,0xbf,0x1c,0xac,0xf3,0x69,0xc4,0xe2,0xe9,
0xba,0xf4,0x4b,0x21,0x66,0x29,0xee,0xfa,0xac,0x1d,
0x4b,0xc1,0x6d,0xc3,0x0d,0x66,0x6c,0x6a,0x63,0xc2,
0xfa,0x28,0x2b,0x3a,0xcf,0x0d,0xfb,0x13,0x53,0x3a,
0xf7,0x1d,0x12,0xa0,0xe4,0x7c,0x6e,0x0d,0x35,0x9f,
0xde,0xd6,0xdb,0x8d,0xae,0x50,0x1a,0x7a,0xd3,0x1f,
0x67,0x95,0x79,0x2e,0x39,0x12,0xb3,0x79,0xaf,0x1f,
0x66,0xd7,0x35,0x80,0xc2,0x29,0xa7,0x6b,0xc0,0x0f,
0x86,0x1b,0x4c,0x2a,0xd4,0x39,0x1a,0xb3,0x79,0xfe,
0xcb,0x38,0xb3,0x47,0x78,0xa8,0x2c,0xd4,0x58,0x73,
0xc4,0x64,0xc3,0x89,0xe4,0x80,0x9f,0x39,0x4e,0x2f,
0xd1,0x19,0xe4,0x95,0xbc,0x5e,0x9f,0xf8,0x88,0xed,
0x81,0xab,0xcf,0xbc,0x41,0x9a,0x3a,0x8e,0x58,0xd3,
0x3c,0x06,0xd3,0xfe,0xfc,0xc9,0x0a,0x5f,0xce,0xf2,
0xaf,0x92,0xec,0x6c,0x19,0x98,0x5b,0xa1,0x12,0x32,
0x26,0x2d,0x42,0x08,0x94,0x9b,0x93,0xce,0x3e,0x30,
0xb1,0x50,0xe3,0xa6,0xa1,0x06,0x3f,0xff,0x22,0x16,
0x05,0x31,0x89,0x99,0x81,0xfd,0xa9,0x78,0xea,0x8d,
0x1b,0x0b,0xeb,0x90,0xea,0xbe,0x05,0xbb,0x62,0x3c,
0x3c,0xda,0x4b,0xbe,0xdb,0x03,0xfe,0x34,0xe8,0x6b,
0x15,0x0f,0xa4,0xf0,0x01,0x43,0xf0,0xe0,0x85,0x5e,
0x7e,0x5e,0x1b,0x03,0x29,0xe6,0xa4,0x12,0x1e,0x32,
0x5d,0xb4,0x98,0x11,0x7a,0x0d,0x58,0x3c,0x6f,0x7b,
0x07,0x8b,0x27,0xfa,0x07,0x8c,0xb1,0x6f,0x0a,0xdd,
0xf7,0x1b,0x95,0x5a,0xc8,0x8c,0xc0,0x8a,0x74,0xfd,
0x32,0x3b,0x7c,0x33,0xf0,0x50,0x53,0xc2,0x5a,0xf3,
0x58,0x6d,0x8c,0x67,0x2b,0xfe,0xff,0x28,0xe1,0xd9,
0x0a,0x3f,0xf3,0x77,0xc5,0x88,0x9a,0xf6,0x72,0xb6,
0x07,0x1f,0xc9,0xd4,0x37,0xcb,0xcb,0xd2,0xcd,0x6b,
0xca,0x72,0xe4,0x77,0x9f,0x18,0xe7,0x5c,0x96,0x6e,
0x71,0x53,0x43,0xff,0x06,0x11,0x30,0x04,0x8b,0x2b,
0x1d,0xe1,0xbf,0x6a,0xb3,0xdf,0xc1,0x0e,0xdc,0xdc,
0xd7,0x65,0x69,0x17,0xd7,0xe5,0x23,0x6f,0x15,0x1a,
0xda,0x4d,0x8b,0x2b,0xfd,0x3c,0xb7,0x37,0xce,0x8e,
0x01,0xda,0x18,0x07,0x0a,0x13,0x0b,0x35,0x1e,0xbc,
0xd0,0xcb,0xbc,0x9a,0x0e,0x67,0xe6,0xcd,0xe0,0xdd,
0xd9,0x5c,0x97,0xcf,0x2e,0xe6,0xbd,0x5e,0xc6,0x31,
0x43,0xb7,0x34,0x27,0xed,0x17,0x7f,0xb8,0xb5,0x9d,
0x5b,0x86,0x19,0x5c,0x57,0xe2,0x2e,0x75,0x3e,0x97,
0x98,0x5e,0xa2,0x73,0xd3,0x50,0x83,0x59,0x5b,0xdb,
0x89,0x26,0xed,0x85,0xd4,0x04,0x6f,0xcf,0x46,0x78,
0x38,0x9b,0x7b,0xc9,0x6f,0x87,0xef,0x44,0x89,0x5f,
0x56,0x8f,0xf0,0xe4,0x8e,0x2f,0xd0,0x58,0x56,0x9f,
0xf8,0x93,0x3d,0x9e,0xa8,0x28,0xd0,0xa8,0x2e,0xf3,
0xb0,0xbd,0xc5,0xe2,0xf5,0x83,0x89,0x28,0x88,0x7b,
0x98,0x19,0x58,0xee,0x86,0xc6,0xd9,0xf9,0xb7,0x95,
0xcd,0xa3,0xc1,0x7e,0x6d,0x74,0x81,0xbc,0x74,0xd6,
0x08,0x0f,0x6d,0xa6,0x53,0x9b,0x3b,0xf2,0x0d,0x3d,
0x9a,0x1a,0xee,0x77,0x1e,0x4d,0xf9,0x34,0x67,0xdc,
0x7d,0xad,0xf6,0x47,0x28,0x51,0x9d,0xce,0xd5,0x65,
0x42,0xff,0x9e,0xcd,0x4d,0x0c,0xff,0x08,0x9b,0x7f,
0x9a,0x52,0x64,0x14,0x55,0x97,0x79,0xd8,0x15,0xb5,
0x59,0x7d,0x24,0x79,0xce,0x14,0x31,0xd4,0x27,0xb9,
0x79,0x98,0x41,0x79,0x9e,0xf3,0x6c,0x6e,0x6b,0x53,
0xb2,0x11,0x21,0x1f,0x61,0x5b,0x60,0xe9,0x37,0xfb,
0x6c,0xee,0x74,0xbc,0xd3,0x14,0x24,0xae,0x1e,0x42,
0xf1,0xc0,0xb5,0xa5,0x7a,0xfe,0xf4,0x12,0x9d,0x1c,
0x4d,0xb0,0x39,0x6c,0xb1,0x39,0xe2,0x5c,0x94,0xee,
0x0f,0xc6,0xe7,0x6b,0x54,0x85,0x34,0xaa,0x82,0x3a,
0x51,0x53,0xb1,0xb6,0x21,0xe9,0xa4,0xb4,0xa8,0x17,
0x31,0x59,0x74,0x66,0x6c,0xef,0x16,0x03,0xf7,0x74,
0x76,0x45,0xb8,0x10,0x29,0xe6,0x20,0xed,0x7b,0x4b,
0x7d,0xfa,0xe8,0x4b,0x82,0x1a,0x53,0x43,0x1a,0xe7,
0xf9,0x65,0xcf,0xa7,0xb3,0xa7,0x3d,0x9f,0xed,0x3a,
0xd6,0xf6,0x4a,0x4e,0xbd,0x29,0x36,0x04,0x41,0x8f,
0xa0,0xc4,0x2b,0xb9,0xaa,0x58,0xe3,0x50,0x87,0xcd,
0xa6,0xb0,0xc5,0x96,0x88,0xe5,0x54,0x72,0x04,0x4b,
0xd0,0xcc,0x57,0x4f,0x4f,0x69,0xfb,0x83,0x73,0xf8,
0x78,0xda,0x9a,0x89,0x12,0xd7,0xe7,0x19,0x62,0xfc,
0x94,0xa0,0xc6,0xc8,0x9c,0x53,0x02,0x76,0xbd,0x13,
0x4e,0xda,0xce,0xed,0x6f,0x89,0x20,0x9c,0xb4,0xbb,
0x15,0x14,0x49,0x2a,0x0e,0xb6,0x2b,0xb6,0x84,0x4d,
0xda,0x92,0x6a,0x07,0x52,0xbd,0x8b,0x25,0x57,0xfe,
0x79,0x3f,0x9e,0x4e,0x87,0x15,0x0d,0xa5,0xe8,0x9e,
0xcb,0x50,0x4c,0x04,0x35,0x16,0xc1,0xf9,0x20,0x06,
0x63,0x13,0xf2,0x1b,0x96,0x17,0x4b,0xa8,0x0e,0x5b,
0xc6,0x91,0x44,0xb0,0x55,0x03,0x92,0x03,0x40,0x2d,
0x42,0xd4,0x60,0xeb,0x1b,0xcf,0xf5,0xf3,0xf9,0xff,
0x03,0x45,0x0a,0xae,0xa1,0xbd,0x9b,0x86,0x7f,0x00,
0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,
0x82,};
static const unsigned char I_1[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x06,
0x00,0x00,0x00,0x0a,0x08,0x06,0x00,0x00,0x00,0x97,
0x0e,0x2f,0x33,0x00,0x00,0x00,0x06,0x62,0x4b,0x47,
0x44,0x00,0xff,0x00,0xff,0x00,0xff,0xa0,0xbd,0xa7,
0x93,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,
0x00,0x00,0x53,0x00,0x00,0x00,0x53,0x01,0xf1,0xe9,
0x62,0x6a,0x00,0x00,0x00,0x07,0x74,0x49,0x4d,0x45,
0x07,0xde,0x09,0x1c,0x12,0x1c,0x20,0x31,0x84,0x57,
0x22,0x00,0x00,0x00,0xa5,0x49,0x44,0x41,0x54,0x08,
0xd7,0x6d,0x8d,0x2d,0x0a,0x84,0x50,0x18,0x45,0xcf,
0x53,0xb1,0xdb,0x74,0x0f,0x66,0x31,0x7c,0x20,0x82,
0xe1,0x19,0x5d,0x82,0x3b,0x71,0x3f,0x62,0x35,0x1a,
0xac,0x76,0xf1,0xa7,0x68,0x75,0x01,0x36,0x79,0x06,
0x67,0x60,0x84,0x39,0x70,0xc3,0xe5,0xc2,0x3d,0x94,
0x65,0x69,0x44,0xc4,0x00,0xaf,0x58,0xc7,0x71,0x90,
0x65,0x19,0x5a,0x6b,0x7e,0xb1,0xd7,0x75,0xad,0x94,
0x52,0x88,0x08,0x9e,0xe7,0xb1,0x2c,0x0b,0xc6,0x18,
0x6c,0xa0,0xda,0xb6,0x8d,0xf3,0x3c,0x11,0x11,0x82,
0x20,0x60,0x9a,0x26,0xd4,0xe7,0x13,0x80,0x30,0x0c,
0x29,0x8a,0x82,0x79,0x9e,0xb1,0xf8,0x83,0xeb,0xba,
0x38,0xdf,0x12,0x45,0x11,0x79,0x9e,0xb3,0xef,0x3b,
0x75,0x5d,0x3f,0x43,0x9a,0xa6,0x24,0x49,0xc2,0x38,
0x8e,0x34,0x4d,0xc3,0x75,0x5d,0x38,0x5a,0x6b,0xe2,
0x38,0x66,0x18,0x06,0xda,0xb6,0xc5,0x98,0x47,0xe9,
0xf8,0xbe,0x4f,0xd7,0x75,0xf4,0x7d,0xff,0xf2,0xdc,
0x67,0xb6,0x41,0x5a,0x26,0x0a,0x15,0x37,0x00,0x00,
0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82,
};
static const unsigned char I_2[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x40,
0x00,0x00,0x00,0x40,0x08,0x06,0x00,0x00,0x00,0xaa,
0x69,0x71,0xde,0x00,0x00,0x00,0x04,0x73,0x42,0x49,
0x54,0x08,0x08,0x08,0x08,0x7c,0x08,0x64,0x88,0x00,
0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,
0x13,0x00,0x00,0x0b,0x13,0x01,0x00,0x9a,0x9c,0x18,
0x00,0x00,0x02,0xa6,0x49,0x44,0x41,0x54,0x78,0x9c,
0xed,0x9a,0x3d,0x6b,0x14,0x41,0x18,0xc7,0xff,0xcf,
0xb3,0xb3,0xb7,0x97,0xbb,0xe4,0x3c,0x4d,0x34,0x96,
0x01,0x91,0x28,0x41,0x04,0x45,0x8b,0x74,0xa6,0x49,
0x63,0xa1,0x45,0x62,0x11,0xf4,0x4b,0x88,0x60,0xa1,
0x5c,0x82,0xe0,0x47,0xd0,0x6f,0x10,0x24,0x4d,0xc0,
0x42,0x0d,0x88,0x76,0x36,0x21,0xc4,0x2a,0x87,0x58,
0x09,0x1a,0x10,0xf2,0x42,0xde,0x6f,0x37,0xb3,0xf3,
0x58,0x04,0xdf,0x02,0x2a,0xca,0x65,0x9e,0x33,0x37,
0xbf,0x6a,0x59,0x96,0xfd,0xff,0xe6,0xcf,0xce,0x2c,
0x03,0x03,0x04,0x02,0x81,0x40,0x1b,0x43,0xdf,0xae,
0xa6,0xa6,0xa2,0xfe,0x7a,0xe5,0x1a,0x0b,0x86,0x44,
0x70,0x9c,0x40,0xdc,0xcc,0x20,0x21,0x27,0x10,0x5a,
0x66,0xd0,0xcb,0x85,0x81,0xb5,0x69,0x8c,0x8e,0xe6,
0xcd,0x7c,0xff,0xbf,0x42,0x00,0x30,0xf0,0xe0,0xd9,
0x29,0x67,0x79,0x1a,0x44,0xe7,0x7c,0x84,0x3a,0x91,
0x79,0x36,0xf6,0x7a,0xfd,0xfe,0xd5,0x0f,0x3e,0xf2,
0x7e,0x07,0x9d,0xaf,0xbd,0xae,0x66,0x94,0xcd,0x03,
0xe8,0xf3,0x19,0xec,0xc4,0xbd,0x8f,0x50,0xbc,0xb0,
0x30,0x71,0x65,0xd3,0x67,0xee,0x7e,0x4c,0x4a,0xe9,
0x1d,0x02,0xf5,0xf9,0x0e,0x66,0xe2,0xd3,0x82,0x6c,
0xe3,0xec,0xf8,0x8c,0xbf,0x50,0x71,0xcb,0x02,0x7a,
0xc5,0xa0,0x87,0x0b,0x13,0xc3,0x6f,0x01,0x80,0x45,
0x64,0xc4,0x9f,0x81,0x32,0xc4,0xdd,0x44,0x34,0x92,
0x93,0x9b,0x3d,0x53,0x7b,0x71,0x0b,0x00,0xa8,0xbf,
0xf6,0x3c,0x63,0xe2,0x58,0xdb,0xcd,0x37,0x0e,0xce,
0x32,0x9b,0xcb,0xdc,0x8e,0x83,0x07,0x00,0x06,0x1b,
0x71,0xee,0x6e,0x53,0x7f,0x75,0xff,0x1b,0x04,0x19,
0x32,0xba,0x02,0x84,0xc2,0xd1,0x13,0x7e,0xb2,0x04,
0x10,0x71,0xb0,0xe9,0x36,0xf2,0xc6,0xd6,0xd7,0xbb,
0x3d,0xba,0x05,0x18,0x03,0x93,0x94,0xbd,0x66,0x9a,
0x8e,0x2e,0x38,0x9b,0xa1,0xb1,0xfa,0x19,0x92,0xef,
0x42,0x75,0x0a,0x44,0x49,0xa7,0x4a,0x2e,0x9b,0x02,
0x3a,0xba,0x4f,0x02,0xcc,0x7a,0x05,0x70,0x64,0x10,
0x77,0x1e,0xd1,0x8a,0x07,0x71,0x8c,0xb8,0x5c,0x85,
0xca,0x14,0xe0,0x38,0x41,0x52,0xed,0x05,0x35,0x77,
0xbb,0xf1,0xd7,0xc4,0xc5,0xf2,0xcf,0x05,0x10,0x31,
0x38,0x4e,0x40,0x1c,0x1d,0x40,0x9c,0x00,0x6c,0x60,
0x92,0x22,0xa2,0xa4,0x84,0x1f,0xf7,0x61,0x6a,0x44,
0xe6,0x7b,0x01,0x85,0xce,0x63,0x88,0xcb,0x15,0x34,
0x79,0x13,0xd8,0xd2,0x10,0x68,0xaf,0x80,0xa4,0xda,
0x0b,0x53,0xf4,0xbb,0x1a,0xb7,0x0a,0x6c,0x3a,0xba,
0xda,0x76,0xf0,0x00,0xc0,0x71,0xa9,0xa2,0xed,0xa0,
0x0a,0x93,0x29,0x68,0x3b,0xa8,0xc2,0x44,0x2d,0xb0,
0x1a,0x2b,0xd2,0x3e,0x4b,0xfe,0x2f,0x08,0x05,0x68,
0x0b,0x68,0x13,0x0a,0xd0,0x16,0xd0,0x26,0x14,0xa0,
0x2d,0xa0,0x4d,0x28,0x40,0x5b,0x40,0x9b,0x50,0x80,
0xb6,0x80,0x36,0xa1,0x00,0x6d,0x01,0x6d,0x42,0x01,
0xda,0x02,0xda,0x84,0x02,0xb4,0x05,0xb4,0x09,0x05,
0x68,0x0b,0x68,0x13,0x0a,0xd0,0x16,0xd0,0x26,0x14,
0xa0,0x2d,0xa0,0x4d,0x28,0x40,0x5b,0x40,0x9b,0x50,
0x80,0xb6,0x80,0x36,0xa1,0x00,0x40,0xb4,0x1d,0xd4,
0x10,0x08,0x58,0x72,0xab,0xed,0xa1,0x86,0x58,0x0b,
0xb6,0x3b,0x5b,0x7f,0x7e,0xf2,0x90,0x92,0xa7,0x9b,
0xe0,0x6c,0x73,0x35,0x75,0x6d,0xf8,0x15,0xb8,0xdc,
0x22,0x5d,0x5f,0xdd,0x61,0x40,0xe6,0xd2,0x95,0x45,
0x38,0x9b,0x69,0x3b,0x79,0xc3,0xed,0xa6,0x48,0x57,
0x16,0x01,0x92,0x39,0x03,0xc1,0x63,0x97,0xdb,0xc1,
0xc6,0xd2,0x27,0x44,0x49,0x09,0x9c,0x14,0x0f,0xe8,
0x9c,0xa0,0x36,0x04,0x38,0x0b,0x9b,0x36,0x90,0xa7,
0xdb,0xd8,0x5b,0xfc,0xf9,0x11,0x01,0x40,0x7f,0x6d,
0xe6,0x09,0x13,0x6e,0xe8,0x0a,0x7a,0x67,0xb2,0x3e,
0x3e,0x3c,0xc6,0x00,0xf0,0x6e,0x60,0x6d,0x4c,0x20,
0xe3,0x10,0x6c,0x68,0x5b,0x79,0x60,0x1d,0x90,0x7b,
0x75,0x79,0x73,0x13,0xd8,0x77,0x5e,0xf5,0x62,0xed,
0x69,0x69,0x8b,0x8b,0x97,0x04,0xae,0x27,0x72,0x87,
0xeb,0xf4,0x94,0x83,0x73,0x04,0x5e,0xda,0xa8,0x74,
0xcd,0x7e,0xbc,0x3d,0xb8,0xa3,0xed,0x13,0x68,0x15,
0xbe,0x00,0xff,0x68,0xba,0xb8,0xf7,0x2a,0xd5,0x5e,
0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,
0x60,0x82,};
static const unsigned char I_3[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x40,
0x00,0x00,0x00,0x40,0x08,0x06,0x00,0x00,0x00,0xaa,
0x69,0x71,0xde,0x00,0x00,0x00,0x04,0x73,0x42,0x49,
0x54,0x08,0x08,0x08,0x08,0x7c,0x08,0x64,0x88,0x00,
0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,
0x13,0x00,0x00,0x0b,0x13,0x01,0x00,0x9a,0x9c,0x18,
0x00,0x00,0x07,0x53,0x49,0x44,0x41,0x54,0x78,0x9c,
0xed,0x5b,0x6d,0x6c,0x5b,0x67,0x15,0x7e,0xce,0xb9,
0xb6,0xf3,0xd1,0xa6,0xcb,0x58,0xe2,0x7c,0x00,0xfb,
0x60,0x30,0xb4,0x50,0x36,0xa1,0x76,0x59,0x1c,0x42,
0xf3,0x03,0xb6,0xa6,0x8d,0xd3,0xae,0x0c,0xc3,0xbe,
0x54,0x4a,0xd5,0x81,0xc6,0x06,0x5a,0x37,0x0d,0x86,
0x18,0x82,0x09,0xd4,0x4d,0x42,0x2b,0x13,0xa0,0x56,
0x62,0x4c,0x74,0x2b,0x43,0xea,0x3c,0x89,0x6d,0x49,
0xba,0x76,0x13,0x65,0x56,0x69,0xeb,0x45,0xa4,0xd3,
0x68,0x69,0xc7,0x0a,0x14,0xb4,0x26,0xa9,0xe3,0x14,
0xaa,0x90,0xc6,0x49,0xec,0x7b,0x0e,0x3f,0x96,0xeb,
0x5c,0xa7,0x4e,0xed,0x74,0xf1,0x6b,0x44,0xf2,0x48,
0x96,0xee,0x39,0xe7,0xbd,0xf7,0x3c,0x7e,0xfc,0xbe,
0xe7,0xde,0x7b,0xee,0x35,0x0d,0x06,0x9b,0x15,0xf3,
0x18,0x5c,0x6c,0x02,0xc5,0xc6,0x82,0x00,0xc5,0x26,
0x50,0x6c,0x2c,0x08,0x50,0x6c,0x02,0xc5,0x86,0x67,
0xa6,0x80,0xaa,0xb6,0x31,0xe1,0x9f,0x26,0xc9,0x14,
0x0a,0xa2,0xb8,0x82,0x88,0xf6,0x64,0x8b,0xcd,0x28,
0x00,0x58,0xff,0x56,0xdd,0x19,0xfd,0xeb,0x5c,0x93,
0xd1,0xd6,0x56,0x4f,0xac,0x22,0xb9,0x89,0x05,0x5f,
0x50,0x46,0x3d,0x01,0x47,0x01,0x79,0xdc,0xdf,0x15,
0x3d,0x3c,0xd7,0xb9,0x1c,0xc4,0x3a,0x9a,0x52,0x50,
0xca,0x1a,0x33,0xba,0x04,0x34,0xd4,0xe0,0x8b,0x2f,
0x1a,0xef,0x66,0x60,0x3b,0x18,0x9f,0x25,0xe0,0x5a,
0x00,0x21,0x80,0x7b,0x63,0xab,0x03,0xdf,0x36,0xc9,
0xc5,0x81,0x51,0x01,0xe2,0x89,0xca,0x7b,0xc1,0x7c,
0xb3,0xdb,0x27,0x22,0x36,0x00,0x28,0x68,0xcb,0xc0,
0xba,0x80,0xdf,0x24,0x1f,0xc0,0x78,0x11,0x94,0x2f,
0xa7,0x37,0x15,0xff,0x50,0xe8,0xcb,0xcc,0x7c,0x0a,
0x00,0x98,0xc1,0x96,0x8d,0x0f,0x9a,0xe5,0x73,0xa1,
0x1a,0x30,0xc7,0x88,0xaf,0x69,0xae,0x50,0xc1,0xf5,
0x8e,0xad,0x8c,0x47,0x21,0x18,0x00,0x21,0x5d,0x9c,
0x6c,0xf5,0x9c,0x35,0xc5,0xc7,0x81,0xb1,0x19,0x60,
0x27,0xe5,0xca,0x8c,0xc4,0x29,0x1c,0x05,0x53,0x9d,
0x63,0x8b,0x40,0x6a,0xfb,0x47,0x4f,0x99,0xe2,0x93,
0xe6,0x61,0x2c,0x91,0x85,0x0f,0x64,0xd8,0x3e,0x2b,
0x46,0xa2,0x1f,0x76,0x31,0xe9,0xa7,0xde,0xde,0xa4,
0x29,0x3e,0x53,0x69,0x0d,0x41,0x40,0x19,0xcb,0x2d,
0x95,0x1c,0x4b,0x82,0x70,0xb5,0xcb,0xf5,0x77,0x53,
0x5c,0xdc,0x30,0x26,0x80,0x8a,0x35,0xe2,0xb6,0x89,
0xb8,0x42,0x85,0x1a,0xd2,0x36,0xe4,0x2f,0xa6,0xb8,
0xb8,0x61,0x4c,0x80,0x12,0xd6,0x01,0xb7,0xad,0x64,
0x5d,0x45,0xc0,0x52,0xc7,0x26,0xd0,0x51,0x53,0x5c,
0xdc,0x30,0x26,0xc0,0xa5,0x65,0xf5,0x7d,0x80,0x8c,
0x39,0xb6,0x02,0x5f,0x02,0xa3,0x2c,0x3d,0x40,0xe9,
0x4d,0x53,0x5c,0xdc,0x30,0x26,0x00,0x85,0xc3,0x36,
0x40,0x6f,0xb9,0x12,0x6f,0x74,0xb6,0x45,0x20,0x5a,
0xee,0xfd,0xff,0x16,0x00,0x00,0x14,0x14,0xcd,0x4a,
0x82,0xe5,0x4f,0x35,0xe1,0xc8,0x48,0xb6,0x58,0xa1,
0x61,0x54,0x00,0x56,0xec,0xcb,0xe6,0x57,0x70,0xc4,
0x24,0x0f,0x37,0x8c,0x0a,0x20,0xe5,0xde,0x7d,0x80,
0x8c,0x9f,0x47,0x62,0x06,0x61,0x4c,0xc0,0xa8,0x00,
0x35,0xe1,0xc8,0x08,0x14,0x19,0xf7,0xe5,0x02,0x28,
0x2c,0xfc,0xde,0x24,0x0f,0x37,0x8c,0x77,0x84,0x84,
0x68,0xc7,0x34,0x02,0x54,0xfd,0xf2,0xc1,0xff,0x98,
0xe6,0xe1,0xca,0x6f,0x16,0x44,0x7a,0xde,0xf9,0x5e,
0x43,0x21,0xcb,0x34,0x0f,0x07,0xe6,0x05,0x10,0xfe,
0xe2,0x74,0x5f,0x7c,0xac,0x7f,0x83,0x69,0x1e,0x0e,
0xcc,0x9e,0x06,0xbf,0x0f,0x06,0xc9,0xc6,0xf3,0x02,
0xb6,0x3c,0x7e,0xea,0x96,0x1b,0x2e,0x33,0xc9,0xc5,
0x81,0x51,0x01,0x06,0x7b,0x9b,0x3f,0x07,0xf0,0xd5,
0xe7,0x05,0x98,0xaa,0x7c,0x29,0xeb,0x49,0x93,0x5c,
0xd2,0xa9,0x4d,0x26,0x53,0xe0,0x9b,0x69,0x43,0x74,
0x48,0x33,0x4e,0x7f,0x7c,0x57,0x2c,0xd8,0x7c,0xab,
0x49,0x3e,0x80,0x41,0x01,0x86,0xd6,0xb4,0x34,0x30,
0xd0,0xee,0xd8,0xca,0xf8,0x85,0xc7,0x63,0x6d,0x10,
0x60,0x38,0xed,0x13,0xf9,0x65,0xff,0xea,0xc0,0x15,
0xa6,0x38,0x01,0x26,0xfb,0x01,0xb6,0x3c,0x9c,0xde,
0x06,0x92,0x94,0xf4,0xfc,0xfc,0xb2,0x97,0xf6,0xbf,
0x4b,0x2a,0xdf,0x48,0x93,0x61,0xae,0xb4,0x98,0x9e,
0x7f,0xa7,0xad,0xad,0xc4,0x14,0x2f,0x23,0x02,0x0c,
0xae,0x6a,0xb9,0x46,0x14,0x77,0x3a,0x36,0x41,0x76,
0xf8,0xf7,0xee,0x1f,0x00,0x00,0x7f,0x77,0x74,0x27,
0x20,0xbf,0x9e,0x8a,0xa1,0x71,0x89,0x67,0x78,0x9b,
0x02,0xd9,0x1b,0xf9,0x73,0x0c,0x23,0x02,0xa8,0x25,
0x8f,0x32,0xbf,0x97,0x4b,0x20,0x29,0x21,0xef,0x63,
0x4e,0x8c,0x00,0xd5,0xb2,0x92,0x7b,0x54,0xf5,0x98,
0x8b,0xd4,0xc6,0x78,0xb0,0xf9,0x7e,0x13,0xdc,0x0a,
0xde,0x15,0x8e,0xb7,0xb7,0x2c,0x53,0xc8,0x6d,0x8e,
0x4d,0xc0,0xaf,0x6a,0x3b,0xf7,0x9f,0x74,0x8f,0xa9,
0x09,0x47,0x46,0x06,0x57,0xb5,0xac,0x13,0x4b,0x7a,
0x18,0xb8,0x04,0x00,0x04,0x78,0x22,0x16,0x0c,0x0c,
0x79,0x2c,0xcf,0xeb,0xa9,0x71,0xdb,0x27,0x5e,0x4b,
0x08,0x13,0xa3,0x35,0xc3,0xa5,0x67,0x28,0x12,0x49,
0xcd,0x15,0xbf,0x82,0x0a,0xa0,0x00,0xc5,0x48,0xb6,
0x4e,0x4d,0x33,0x19,0xf7,0x58,0xde,0x1f,0xba,0xc7,
0xf4,0x05,0x97,0x95,0x97,0xa8,0x77,0xa9,0x90,0x5c,
0x47,0x40,0x3f,0x26,0x05,0x60,0x80,0x00,0x7a,0xd6,
0xb6,0x6d,0x90,0x07,0xb0,0xd4,0x06,0x60,0x21,0x5e,
0x91,0xc4,0xe9,0x60,0xd3,0x00,0xc0,0x27,0x58,0x71,
0x44,0x21,0x3d,0xb6,0x52,0xa4,0x7e,0xf7,0xa1,0x8b,
0x7a,0x8e,0x59,0x50,0x01,0xe2,0x1d,0x9f,0x0e,0xb1,
0xea,0x8a,0x29,0x0f,0x6d,0xb5,0xc7,0x90,0x8a,0x07,
0x9b,0xee,0x10,0xe5,0x15,0xa4,0x08,0x88,0xc8,0x27,
0x84,0xd9,0x02,0xf2,0x5f,0xf4,0x0c,0xae,0x03,0x50,
0x07,0xc2,0x0a,0x02,0xdf,0xeb,0x21,0xe0,0x74,0xb0,
0xe9,0x8f,0xac,0xb4,0xbd,0xfa,0xf4,0xc4,0xce,0xd9,
0x74,0x97,0x0b,0x56,0x03,0x62,0xa1,0xd6,0xc5,0xa2,
0xfa,0x44,0x86,0x53,0xe9,0x76,0x78,0xed,0x7e,0x05,
0x3f,0x47,0x84,0xaf,0x81,0x71,0x1d,0x4f,0x7e,0xf9,
0xf7,0x0b,0x06,0x2f,0x07,0xd1,0xd3,0xf1,0xba,0x92,
0xde,0xa1,0x35,0x2d,0x0d,0xb9,0xf7,0x70,0xf6,0x2b,
0x00,0x14,0x20,0x24,0x26,0x3a,0x19,0xf8,0x50,0x46,
0x80,0x70,0xe5,0x4c,0xfb,0x88,0x88,0xad,0xc0,0x71,
0x00,0x2f,0x00,0xfa,0xd8,0x0c,0xc3,0x1e,0x50,0xe8,
0x7a,0x00,0x8f,0x28,0xf4,0x39,0x11,0xbc,0x9d,0x65,
0xcc,0x27,0x53,0xa9,0xd4,0x81,0xc1,0x35,0x81,0x4f,
0xe5,0xc3,0x75,0x4e,0x97,0xc0,0x50,0x5b,0xe3,0x12,
0xdb,0xf2,0xae,0x8f,0x93,0xfe,0x2c,0xd7,0x74,0x16,
0xe0,0x04,0x0b,0xfe,0x40,0xa4,0x51,0x08,0x1d,0x4e,
0x8c,0x96,0x1c,0xbd,0x2a,0x12,0x99,0x6a,0x9a,0x86,
0x42,0xdf,0x8b,0x27,0xde,0xdd,0x01,0xf0,0x5d,0x69,
0x1f,0xf0,0x88,0x12,0xb7,0xd7,0x74,0x1e,0xd8,0xe9,
0xf8,0x06,0xd6,0x05,0xfc,0x94,0xa4,0xcf,0x03,0xba,
0x99,0x41,0xd7,0x00,0xef,0x5d,0x4f,0x40,0xf0,0xdb,
0x58,0xa8,0x75,0x69,0xae,0x56,0x1b,0xcd,0xf4,0x9a,
0x9c,0x92,0x7c,0xac,0x26,0xcf,0xf7,0x03,0x62,0xab,
0x6f,0xa8,0x05,0x3c,0x0f,0x11,0xf4,0xab,0x60,0x5e,
0x9c,0x7d,0x94,0x9e,0x03,0xb0,0x17,0x8a,0x6e,0xb6,
0xed,0x57,0xab,0xf6,0xf4,0xe4,0x7c,0x0c,0xa6,0xad,
0xad,0x9e,0xc1,0xc5,0xc9,0x67,0x88,0x70,0x47,0xda,
0x29,0x48,0xc0,0xa2,0x0d,0xfe,0xce,0x03,0xcf,0x67,
0x8c,0x0d,0x35,0xf8,0xe2,0xa3,0x95,0x3f,0x01,0xe1,
0xeb,0x2e,0xf7,0x83,0xfe,0xae,0x83,0x5b,0x63,0x1d,
0x4d,0x1f,0x25,0xe5,0x13,0xd9,0x72,0xbc,0xaf,0x19,
0x30,0xd4,0xd6,0xb8,0x44,0x2c,0xcf,0x77,0x40,0x72,
0x3f,0x40,0xa5,0x33,0x95,0x31,0x21,0xdc,0x92,0x18,
0xf6,0xed,0x75,0xff,0xc2,0xf9,0x80,0x22,0x91,0x94,
0x86,0x42,0xeb,0x63,0x89,0xbe,0xb1,0x74,0x17,0x99,
0x51,0x06,0xd5,0x5d,0x83,0xc1,0xc0,0x67,0xc6,0x4a,
0xf5,0x5b,0x97,0xbf,0x10,0x4d,0x00,0x00,0x85,0x8f,
0x4d,0x28,0x70,0x5f,0x3c,0x18,0x58,0x06,0xd0,0x8d,
0x00,0x00,0x95,0x15,0x00,0xb6,0x5e,0x28,0xc7,0x45,
0xd7,0x80,0xd3,0x1d,0xcd,0x6b,0x53,0x1e,0x7e,0x1b,
0x84,0x87,0x01,0x2e,0xcd,0x3a,0x48,0xf4,0x64,0x75,
0xd9,0xd9,0x92,0xda,0xce,0x83,0x2f,0xcd,0xf6,0xcb,
0x3b,0xa0,0x70,0xd8,0xae,0xe9,0x3a,0xb8,0x49,0xa1,
0x5b,0xa6,0x45,0xee,0xf3,0x25,0xf0,0x66,0xac,0x3d,
0xb0,0xd2,0xb9,0x6a,0x24,0x40,0x01,0xf4,0x38,0x23,
0x94,0xe8,0x92,0x5c,0xc7,0x9f,0xf5,0x0c,0x38,0xd9,
0xda,0x5a,0x5a,0x5e,0x31,0xfe,0x53,0x52,0xdc,0x7d,
0x61,0xfd,0x64,0x5c,0x14,0x6b,0x29,0x7c,0x6c,0x62,
0xb6,0x39,0xa6,0x83,0x00,0x45,0xd7,0xa1,0xef,0xc6,
0x83,0x4d,0x7f,0x56,0xe1,0xa7,0xc0,0x28,0x07,0x00,
0x26,0xfe,0x38,0x80,0x3d,0xf1,0x60,0xd3,0x5b,0x31,
0xa1,0xdf,0x81,0xa8,0x4e,0x05,0xb7,0x12,0xa7,0xf7,
0xcb,0x79,0x6d,0x30,0xab,0x19,0x70,0xb6,0xbd,0xe5,
0xd2,0x45,0x8b,0xc6,0xf7,0x11,0xf8,0xee,0x8c,0x80,
0x4a,0x54,0x20,0x19,0x57,0x67,0x0a,0x7a,0xb0,0xf6,
0x95,0xe8,0x91,0xd9,0x1c,0x3f,0x17,0xaa,0xbb,0xa2,
0xbf,0x61,0xd8,0xcb,0x45,0x30,0xed,0x7d,0x22,0xbe,
0x9e,0x98,0x1e,0x20,0xc2,0xed,0xc4,0xf0,0x39,0x5e,
0x52,0xde,0x91,0xeb,0x98,0x79,0x0b,0xf0,0x4e,0x5b,
0x5b,0xc9,0x04,0x52,0xbb,0xc1,0x1c,0x70,0x7c,0x02,
0x0c,0x2b,0xe1,0x2b,0x00,0xfa,0x18,0x9c,0x9e,0x4d,
0x2a,0xba,0xcb,0xdf,0x75,0x68,0x5b,0xbe,0xc7,0x9e,
0x0d,0xaa,0x76,0xbf,0x71,0xbc,0xe6,0x9c,0xf7,0x46,
0xa8,0x6c,0x86,0xe0,0x4c,0xb6,0x31,0x02,0x24,0x05,
0xb8,0xa7,0xba,0xfb,0xc0,0xeb,0xb9,0x8e,0x97,0xf7,
0x12,0xa8,0xb4,0x86,0x7f,0x00,0xe2,0x26,0xc7,0x56,
0xe0,0x38,0xab,0xbd,0x56,0x41,0x0f,0x81,0xd8,0xdd,
0xc8,0x38,0x82,0x45,0xbe,0x4d,0x93,0xeb,0xb1,0x20,
0x98,0xbc,0x17,0x78,0x72,0xe0,0xa6,0x9b,0x9e,0xb2,
0x4a,0x47,0x6f,0x83,0xd8,0xab,0x54,0xf9,0x72,0x65,
0x24,0x08,0x38,0xcc,0x6a,0x6f,0xf3,0x77,0xbf,0x91,
0xb5,0xea,0x4f,0x47,0x5e,0x02,0xf4,0x05,0x5b,0xab,
0x80,0xf1,0xcd,0xae,0x09,0x73,0x84,0x92,0xd6,0x4a,
0xf5,0xea,0x8f,0x09,0x94,0xbe,0xcd,0x15,0xc8,0x80,
0x08,0x75,0xd4,0x1b,0x7a,0xcc,0x55,0xf7,0xda,0x6b,
0xe7,0x00,0x3c,0x3d,0xf9,0xb9,0x28,0xe4,0x25,0x80,
0x4f,0x93,0x2b,0x95,0x78,0xaa,0x49,0x41,0xf4,0x23,
0xf5,0xda,0x2f,0x12,0xa8,0xd1,0x71,0x09,0xe4,0xdf,
0xb0,0xb1,0xb2,0xfe,0x95,0x8b,0xbb,0x29,0x29,0x16,
0xf2,0x12,0x40,0x09,0x99,0xaf,0xaf,0xa9,0xee,0xca,
0x38,0xe3,0x0b,0xce,0x30,0xe3,0x66,0xff,0x1c,0x17,
0x3d,0x13,0xc8,0xaf,0x08,0x12,0xf5,0xcd,0x14,0x52,
0xd5,0x63,0x20,0x3b,0x50,0xc8,0x37,0x3d,0x0b,0x89,
0xbc,0x04,0xd0,0x52,0xcf,0x6e,0x01,0x32,0x8b,0x8a,
0x20,0xa1,0xd0,0x2d,0xe3,0x65,0xba,0x3c,0xdf,0x82,
0xf3,0xbf,0x88,0xbc,0x96,0x40,0x4d,0x38,0x32,0x32,
0xd4,0xd6,0xb8,0xdc,0xb6,0x3c,0x77,0x12,0xf0,0x11,
0x40,0x8f,0xfb,0x52,0xfa,0x62,0xe5,0xab,0xd1,0x7f,
0x15,0x9a,0x60,0xa1,0x91,0xf7,0x69,0xb0,0x6a,0x4f,
0xcf,0x30,0x80,0xed,0x05,0xe4,0x52,0x14,0xcc,0xfb,
0xff,0x0b,0xcc,0x7b,0x01,0x66,0xec,0x07,0xcc,0x17,
0xcc,0xfb,0x19,0xb0,0x20,0x40,0xb1,0x09,0x14,0x1b,
0x0b,0x02,0x14,0x9b,0x40,0xb1,0xe1,0x21,0xe8,0xb5,
0xc5,0x26,0xb1,0x80,0x05,0x14,0x0f,0xff,0x05,0x74,
0x76,0xae,0xcc,0xa6,0xd9,0x81,0x15,0x00,0x00,0x00,
0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82,};
static const unsigned char I_4[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x40,
0x00,0x00,0x00,0x40,0x08,0x06,0x00,0x00,0x00,0xaa,
0x69,0x71,0xde,0x00,0x00,0x00,0x04,0x73,0x42,0x49,
0x54,0x08,0x08,0x08,0x08,0x7c,0x08,0x64,0x88,0x00,
0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,
0x13,0x00,0x00,0x0b,0x13,0x01,0x00,0x9a,0x9c,0x18,
0x00,0x00,0x03,0x6c,0x49,0x44,0x41,0x54,0x78,0x9c,
0xed,0x5b,0x4b,0x4c,0x13,0x51,0x14,0x3d,0x33,0x9d,
0x76,0x28,0xa5,0x03,0xe5,0xd7,0x4a,0x51,0x7e,0x06,
0x25,0x0a,0x44,0x85,0x88,0x2e,0x94,0xc4,0x4f,0xba,
0x50,0x77,0x9a,0xa0,0xe2,0x46,0xc2,0x82,0xb8,0x31,
0x9a,0xb0,0x93,0xc4,0x85,0x1b,0x17,0x7e,0x48,0x8c,
0x31,0x41,0x63,0x64,0xe3,0xce,0x05,0x89,0x9f,0x18,
0x63,0x0c,0xac,0x8d,0x06,0x88,0xf1,0x87,0x96,0x18,
0x14,0x22,0x85,0x2e,0x2a,0x05,0x64,0x5c,0x10,0x52,
0x34,0xcc,0xb4,0xf3,0x78,0xef,0xcd,0xd4,0x99,0xb3,
0x9c,0x37,0xf3,0xee,0x7d,0x2f,0x67,0xce,0x7d,0xf7,
0xce,0x1d,0xe1,0xc6,0xc0,0xb0,0x5a,0x59,0xa2,0xc0,
0x8e,0x18,0x9b,0x8c,0x43,0xaa,0x28,0x51,0x70,0xb0,
0x71,0xa3,0xd9,0xbe,0x98,0x82,0x67,0xaf,0xa3,0x90,
0x00,0x40,0x35,0xdb,0x13,0x93,0xa0,0x02,0x90,0xa0,
0x02,0xaa,0x8d,0x77,0x40,0x52,0x61,0x77,0x06,0xc0,
0xc6,0x0c,0x00,0x20,0xa9,0x2a,0xb0,0xb4,0x6a,0x03,
0x3e,0x4f,0x25,0x11,0x8d,0x25,0xb9,0x3b,0x92,0x27,
0xbb,0xd0,0x54,0xe1,0xe3,0x6a,0x53,0xc5,0x1a,0xaf,
0xc0,0xe3,0x91,0x19,0xf4,0x0d,0x4d,0x71,0x75,0x04,
0x00,0xea,0x42,0x5e,0xf4,0x9f,0xad,0xe1,0x6e,0x57,
0xfa,0xf7,0x42,0x57,0x6b,0x10,0x5d,0xad,0x41,0xee,
0x8e,0x98,0x05,0x5b,0x6b,0x80,0x6a,0xf7,0x28,0x00,
0x10,0x30,0x60,0x7e,0x51,0xc5,0xdb,0x6f,0x89,0x8c,
0xee,0xdd,0xb5,0xc9,0x07,0x41,0x20,0xf2,0x8b,0x0b,
0xd6,0x14,0xc1,0x74,0x98,0x9d,0xfb,0x8d,0x33,0xf7,
0x3e,0x65,0x74,0xef,0x9b,0x4b,0xf5,0x90,0xac,0xbc,
0x03,0x20,0x38,0x09,0x16,0xf9,0x24,0x0c,0xf7,0x34,
0x64,0x7c,0xbf,0x95,0xf5,0x45,0x55,0x61,0xef,0x5c,
0x00,0x58,0x79,0x05,0x6c,0xba,0x03,0xa9,0xa3,0x30,
0x83,0xc9,0x7f,0xc4,0x17,0x10,0x4b,0x2c,0x6a,0x8e,
0x87,0x03,0x1e,0xf8,0x65,0x17,0x03,0xcb,0xc6,0x20,
0xa9,0x8c,0xb2,0xc1,0xbb,0x43,0x93,0xe8,0x1b,0x9c,
0xd4,0x1c,0xbf,0x75,0xaa,0x1a,0x87,0xea,0xf2,0xe9,
0x1b,0x36,0x02,0x96,0x1a,0xd0,0x1d,0x09,0xa3,0x3b,
0x12,0x4e,0x67,0xdf,0x54,0xa4,0xc2,0xa0,0xd9,0x9e,
0x98,0x08,0x5b,0x47,0x81,0x65,0x06,0x50,0xd4,0x80,
0xc4,0xfc,0x12,0x66,0x7f,0x69,0x0b,0x1f,0x2b,0x08,
0x82,0x80,0x90,0xe2,0x26,0x7a,0x96,0x2a,0x03,0x9e,
0x8c,0xcc,0xe0,0xfc,0xc3,0x31,0x4a,0xb3,0x65,0x8e,
0x5c,0x8f,0x88,0xd1,0xcb,0x3b,0x0c,0x3f,0x47,0x5d,
0x03,0x8e,0x35,0x16,0xe2,0x68,0x43,0x80,0xce,0x64,
0x06,0x41,0xb4,0x06,0xda,0x51,0x40,0x10,0x96,0xe9,
0x68,0x06,0x48,0xd7,0x60,0xeb,0xaa,0x30,0x51,0x36,
0x08,0x00,0x73,0x8b,0x4b,0x98,0x5f,0xd0,0x7e,0xca,
0xeb,0x16,0xe1,0x96,0xac,0x9d,0x05,0xae,0x80,0xa8,
0x22,0x74,0xf3,0xf9,0x04,0xee,0xbc,0xfa,0xae,0x39,
0xde,0x7b,0xb2,0x1a,0x91,0x6d,0xe6,0x68,0x81,0x11,
0x10,0x57,0x84,0xce,0x1d,0xd8,0x80,0xce,0x7d,0x21,
0xcd,0x71,0xaf,0x5b,0xcc,0x9a,0xb3,0x05,0x91,0x06,
0xc8,0x2e,0x11,0xe9,0xf2,0x98,0x6c,0xd0,0x15,0x62,
0x0d,0xf8,0x9f,0xe0,0x54,0x85,0xf5,0x18,0x10,0xfd,
0x99,0x44,0xe4,0xfa,0x30,0x17,0x67,0xfa,0x3b,0xb6,
0x60,0x67,0x45,0x1e,0x17,0x5b,0xab,0xa1,0xcb,0x80,
0xb2,0x02,0x0f,0x5e,0x5c,0xac,0xe7,0xe2,0x48,0xc0,
0xe7,0x36,0x85,0x89,0xba,0x0c,0x10,0x45,0x01,0xa5,
0x8a,0x87,0x9b,0x33,0xbc,0xd7,0xef,0xf4,0x07,0xd8,
0xbd,0x2a,0x9c,0x36,0x1b,0x1c,0x9f,0x4e,0xe2,0xf8,
0xed,0x51,0xdd,0x49,0x7a,0xdb,0x36,0xa3,0xb9,0xca,
0x4f,0xdd,0x39,0x5e,0xd0,0x65,0x40,0x69,0xbe,0x07,
0x0f,0x3a,0xb6,0xea,0x4e,0x50,0x56,0x20,0x67,0x2d,
0x83,0xd2,0x56,0x84,0xdc,0xa2,0x80,0x9a,0x12,0x6f,
0xfa,0x89,0xb2,0x75,0x07,0xe0,0x68,0x80,0xcd,0xab,
0xc2,0x24,0x51,0xe0,0xca,0xc0,0x57,0xbc,0x7c,0x3f,
0x4b,0x64,0xaf,0xbd,0x25,0x88,0xf6,0xbd,0xd6,0xea,
0x3e,0x31,0x5c,0x15,0x3e,0xbd,0x27,0x84,0x23,0x8d,
0xc5,0x44,0xc6,0x82,0x8a,0x39,0xa7,0x3d,0x2d,0x10,
0x7d,0x1b,0x2c,0x2f,0x94,0x51,0x5e,0x28,0xaf,0xcb,
0xa8,0x95,0x60,0x6b,0x0d,0x70,0xfa,0x03,0xc0,0x20,
0x17,0x78,0x37,0x91,0x40,0xcf,0xa3,0xf5,0x7f,0x1c,
0xb9,0x7a,0xa2,0x06,0x9b,0x8a,0x72,0x28,0x78,0xa4,
0x0d,0x26,0x15,0xa1,0x70,0x40,0xc6,0x85,0xc8,0xfa,
0xdb,0xef,0x8b,0xfd,0x1e,0x2e,0xcc,0xa4,0x5e,0x11,
0xf2,0xc9,0x2e,0x34,0x55,0xd2,0xf9,0x01,0x83,0xb9,
0x36,0xd9,0xbd,0x4f,0xd0,0xa9,0x07,0x80,0x12,0x03,
0xee,0x0f,0x4d,0x60,0xf0,0xc3,0x0c,0x0d,0x7f,0x34,
0xd1,0x5c,0xa5,0xa0,0x73,0xbf,0x7e,0xc7,0x89,0x51,
0x50,0xfb,0x5f,0x60,0x77,0x75,0x3e,0x73,0xc5,0x2e,
0xcd,0xf3,0x30,0x61,0x2a,0x15,0x06,0xd4,0x86,0x72,
0x51,0x1b,0xca,0xa5,0xe1,0x8f,0x2e,0x68,0xaf,0xdf,
0xf9,0x63,0xc4,0x89,0x02,0x16,0x8a,0x02,0xe3,0xd3,
0x73,0xb8,0xf6,0x34,0xca,0xdc,0x4e,0x73,0x95,0x82,
0xb6,0x96,0xd4,0x87,0x5d,0xcb,0xe4,0x02,0x7e,0xaf,
0x84,0xc3,0xdb,0x8b,0x98,0xdb,0x09,0x07,0xfe,0xae,
0x61,0x5a,0x26,0x1b,0x54,0x72,0xf8,0x6c,0x00,0x90,
0x5a,0xaf,0x93,0x0d,0x82,0x61,0xaf,0x70,0x36,0x80,
0x69,0xb7,0x78,0xb6,0x40,0x8a,0xc5,0xe3,0xf8,0xf8,
0x85,0xbd,0xfa,0x5a,0x11,0xb1,0x78,0x1c,0x7f,0x00,
0xa7,0x1d,0x4a,0x3a,0x5b,0x74,0xc4,0x24,0x00,0x00,
0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82,
};
static const unsigned char I_5[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x40,
0x00,0x00,0x00,0x40,0x08,0x06,0x00,0x00,0x00,0xaa,
0x69,0x71,0xde,0x00,0x00,0x00,0x04,0x73,0x42,0x49,
0x54,0x08,0x08,0x08,0x08,0x7c,0x08,0x64,0x88,0x00,
0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,
0x13,0x00,0x00,0x0b,0x13,0x01,0x00,0x9a,0x9c,0x18,
0x00,0x00,0x01,0xc2,0x49,0x44,0x41,0x54,0x78,0x9c,
0xed,0x9b,0xbd,0x4a,0x03,0x51,0x10,0x46,0xbf,0x59,
0x57,0x44,0x30,0x0f,0x20,0x68,0xa5,0x8d,0x9d,0x60,
0x21,0xa8,0x60,0x63,0x21,0x36,0x0a,0x92,0x67,0x10,
0x0d,0x82,0xbe,0x81,0x3e,0x83,0xb0,0x98,0x77,0xf0,
0x07,0xbb,0x58,0x59,0x88,0x7f,0xd8,0x6a,0x67,0x11,
0x41,0x1b,0x0b,0x11,0x6d,0x94,0xdc,0xbd,0x6b,0x61,
0x63,0x91,0xc0,0x10,0x73,0xf7,0x13,0xee,0x9c,0x76,
0x87,0xdd,0x93,0x03,0x73,0x37,0x29,0x22,0xb5,0xd5,
0xd9,0x02,0x11,0x93,0xb0,0x05,0xd8,0x58,0x00,0xb6,
0x00,0x1b,0x0b,0xc0,0x16,0x60,0x93,0x76,0xba,0x50,
0x40,0x16,0x20,0xee,0xb1,0x4c,0x99,0x50,0x48,0xd1,
0x37,0x02,0xe0,0xac,0xdd,0xb5,0x8e,0x01,0x20,0xee,
0x31,0x3b,0xb8,0x7e,0x08,0x25,0x55,0x26,0x6b,0xcb,
0xd3,0x2e,0x4d,0xdb,0x7f,0xd4,0xe8,0x57,0xc0,0x02,
0xb0,0x05,0xd8,0x58,0x00,0xb6,0x00,0x1b,0x0b,0xc0,
0x16,0x60,0xd3,0xf9,0x7b,0xc0,0x2f,0xd6,0xab,0x73,
0x53,0x49,0x9e,0xd7,0x43,0xcb,0xf4,0x8a,0x02,0x78,
0xc9,0x8e,0xae,0x96,0x34,0xb3,0xaa,0x00,0x89,0x2f,
0x2a,0x90,0x64,0xea,0x6f,0x5a,0xe5,0x21,0x1e,0xcf,
0xda,0xd9,0xe8,0x57,0xc0,0x02,0xb0,0x05,0xd8,0x44,
0x1f,0x40,0x75,0x08,0x3a,0xe7,0x9a,0x69,0x9a,0xee,
0x86,0x96,0xe9,0x19,0x52,0xbc,0x6b,0x47,0x55,0x01,
0xea,0x27,0x37,0x4d,0x00,0x3b,0x5d,0xea,0xfc,0x6b,
0xa2,0x5f,0x01,0x0b,0xc0,0x16,0x60,0x13,0x7d,0x00,
0xd5,0x21,0xb8,0x51,0x9d,0x1f,0x02,0x5a,0xe3,0xa1,
0x65,0x7a,0x86,0x97,0x56,0x76,0x78,0x71,0xaf,0x19,
0x55,0x05,0x00,0xdc,0xa4,0x78,0x39,0xff,0x8b,0x53,
0xa9,0xfc,0xfc,0x16,0x18,0xd1,0x8c,0x46,0xbf,0x02,
0x16,0x80,0x2d,0xc0,0xc6,0x02,0xb0,0x05,0xd8,0xa8,
0xde,0x02,0x7d,0x1f,0x95,0x5b,0x0c,0xbe,0x8e,0x86,
0x96,0xe9,0x15,0x9f,0x18,0xc8,0xb5,0xb3,0xaa,0x00,
0x7b,0x8d,0xc6,0x17,0x80,0xa7,0xae,0x8d,0xfe,0x31,
0xd1,0xaf,0x80,0x05,0x60,0x0b,0xb0,0x89,0x3e,0x80,
0xea,0x10,0xdc,0x5c,0x99,0x19,0xcb,0x13,0x6c,0x07,
0x35,0x11,0xb8,0xec,0xf0,0x72,0x2b,0xe8,0x33,0xda,
0xa0,0x0a,0x90,0xf7,0xcb,0xb0,0x78,0xd4,0x42,0x8a,
0x78,0xf8,0x2f,0x00,0xa5,0x07,0x88,0x7e,0x05,0x2c,
0x00,0x5b,0x80,0x4d,0xf4,0x01,0x54,0x87,0xa0,0x77,
0xfe,0x4d,0x92,0xe4,0x34,0xa8,0x49,0x21,0xad,0xa0,
0xf7,0xef,0x80,0x2a,0xc0,0xfe,0xf1,0xd5,0x1d,0x80,
0xc5,0xc0,0x2e,0x14,0xa2,0x5f,0x01,0x0b,0xc0,0x16,
0x60,0x63,0x01,0xd8,0x02,0x6c,0x2c,0x00,0x5b,0x80,
0x8d,0xd8,0xdf,0xe6,0x22,0xc7,0x02,0xb0,0x05,0xd8,
0x58,0x00,0xb6,0x00,0x9b,0x54,0x0a,0x3f,0xc1,0x96,
0x30,0x0c,0x1e,0xdf,0x6f,0x2f,0x52,0xb7,0xbc,0x0a,
0xa7,0x25,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,
0xae,0x42,0x60,0x82,};
static const unsigned char I_6[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x40,
0x00,0x00,0x00,0x40,0x08,0x06,0x00,0x00,0x00,0xaa,
0x69,0x71,0xde,0x00,0x00,0x01,0xf5,0x49,0x44,0x41,
0x54,0x78,0x9c,0xed,0x99,0x3d,0x4e,0xc3,0x40,0x10,
0x46,0x9f,0x51,0x6a,0xca,0x54,0x14,0xdc,0x20,0x07,
0xb2,0x84,0x94,0x7b,0x80,0x50,0x04,0x27,0x41,0xf2,
0x49,0x38,0x01,0x35,0x0d,0x45,0x24,0x50,0x4a,0x0e,
0x10,0x53,0xe0,0x8d,0x22,0x94,0x38,0x6b,0x7b,0x77,
0xbe,0x31,0xf6,0xab,0x12,0xf9,0x67,0xe7,0x7b,0xf1,
0xc6,0xb3,0x76,0x51,0x57,0xbc,0x02,0x37,0xf4,0x67,
0x55,0x94,0x7c,0xf7,0x3d,0xb8,0xae,0xd8,0x00,0x77,
0x03,0xc6,0x1f,0xc2,0x76,0xc1,0x6f,0xf8,0xdb,0x01,
0x27,0xb9,0x1a,0x58,0xc4,0xa6,0x19,0x5f,0x22,0x61,
0x68,0xf1,0x83,0x29,0x4a,0xf6,0xc0,0x1a,0x78,0x51,
0x8c,0x2f,0x17,0x00,0x5a,0x09,0x2e,0x04,0x80,0x4e,
0x82,0x1b,0x01,0xa0,0x91,0xe0,0x4a,0x00,0xd8,0x4b,
0x70,0x27,0x00,0x6c,0x25,0x2c,0x22,0xf6,0x59,0x01,
0xbb,0x96,0xed,0xbd,0x7b,0x80,0x36,0x8a,0x92,0x7d,
0x5d,0xb1,0x6e,0xbe,0x66,0xbb,0x45,0xc6,0x08,0xd8,
0x15,0x25,0x5f,0xb9,0x0a,0x68,0xc3,0x42,0x82,0xcb,
0x29,0x70,0x4c,0xee,0xe9,0xe0,0x5e,0x00,0xe4,0x95,
0x30,0x0a,0x01,0x70,0x90,0xf0,0x9e,0xfa,0xbc,0xa3,
0x11,0x50,0x57,0xdc,0x03,0x4f,0xa9,0xcf,0x3b,0x0a,
0x01,0xb9,0xc2,0xc3,0x08,0x04,0xe4,0x0c,0x0f,0xce,
0x05,0xe4,0x0e,0x0f,0x8e,0x05,0x58,0x84,0x07,0xa7,
0x02,0xac,0xc2,0x83,0x43,0x01,0x96,0xe1,0xc1,0x99,
0x80,0x04,0xe1,0x1f,0xe8,0xd8,0x2c,0xc5,0xac,0x05,
0x4c,0x48,0x11,0xbe,0x28,0x79,0xae,0xab,0xc3,0x8f,
0x1a,0xb5,0x76,0x70,0x71,0x05,0xa4,0x0a,0x0f,0xdd,
0xdb,0x66,0xb9,0x80,0x94,0xe1,0x03,0x5d,0x24,0x48,
0x05,0xe4,0x08,0x1f,0x88,0x95,0x20,0x13,0x90,0x33,
0x7c,0x20,0x46,0x82,0x44,0x80,0x45,0xf8,0xc0,0x25,
0x09,0xe6,0x02,0x2c,0xc3,0x07,0xda,0x24,0x98,0x0a,
0x50,0x84,0x0f,0x9c,0x93,0x60,0x26,0x40,0x19,0x3e,
0x70,0x4a,0x82,0x89,0x00,0x0f,0xe1,0x03,0x7f,0x25,
0x64,0x17,0xe0,0x29,0x7c,0xe0,0x58,0x82,0x9b,0x56,
0xf8,0x0c,0xc9,0xc3,0x07,0x1a,0x09,0x8f,0xd9,0xaf,
0x80,0x26,0xc0,0x43,0x8f,0x43,0xb3,0x85,0x3f,0xc6,
0xe4,0x3f,0xa0,0x87,0x04,0x93,0xf0,0x60,0x78,0x17,
0xe8,0x20,0xc1,0x2c,0x3c,0x18,0xf7,0x01,0x11,0x12,
0x4c,0xc3,0x83,0xa0,0x13,0x6c,0x91,0x60,0x1e,0x1e,
0x44,0x6b,0x81,0x13,0x12,0x24,0xe1,0x41,0xf8,0x44,
0xa8,0x79,0x7a,0x73,0xf8,0xac,0xaa,0x43,0xda,0x07,
0x28,0x83,0x07,0xe4,0x4f,0x84,0xd4,0xcc,0x02,0xd4,
0x05,0xa8,0x99,0x05,0xa8,0x0b,0x50,0x33,0x79,0x01,
0xde,0x97,0xc3,0x83,0x68,0xde,0x12,0x5d,0xb7,0xec,
0xb2,0xff,0xd7,0x02,0x80,0x25,0xf0,0xd9,0xb2,0xfd,
0x63,0xf2,0x53,0x60,0x16,0xa0,0x2e,0x40,0xcd,0x2c,
0x40,0x5d,0x80,0x9a,0xc9,0x0b,0x88,0xb9,0x0d,0x2e,
0xc3,0xba,0x7d,0x84,0x2c,0x2f,0xed,0x10,0x23,0xe0,
0x2d,0x41,0x21,0x6e,0x99,0xfc,0x14,0x98,0x05,0xa8,
0x0b,0x50,0x33,0x0b,0x50,0x17,0xa0,0x66,0xf2,0x02,
0x16,0xc0,0x56,0x5d,0x84,0x90,0xed,0x0f,0xd1,0xd4,
0xa6,0xb7,0xa2,0x62,0x0f,0x49,0x00,0x00,0x00,0x00,
0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82,};
static const unsigned char I_7[]={
0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,
0x00,0x0d,0x49,0x48,0x44,0x52,0x00,0x00,0x00,0x40,
0x00,0x00,0x00,0x40,0x08,0x06,0x00,0x00,0x00,0xaa,
0x69,0x71,0xde,0x00,0x00,0x00,0x04,0x73,0x42,0x49,
0x54,0x08,0x08,0x08,0x08,0x7c,0x08,0x64,0x88,0x00,
0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,
0x13,0x00,0x00,0x0b,0x13,0x01,0x00,0x9a,0x9c,0x18,
0x00,0x00,0x04,0x45,0x49,0x44,0x41,0x54,0x78,0x9c,
0xed,0x99,0x5d,0x68,0x1c,0x55,0x14,0xc7,0xcf,0xb9,
0x3b,0x9b,0xb4,0x92,0x68,0x2a,0xf4,0x21,0x24,0xb4,
0x20,0xa6,0x8d,0xcd,0xce,0x36,0x18,0x6d,0x8b,0x14,
0xf6,0xc5,0x60,0x5f,0x6c,0x8b,0x34,0xb8,0x9b,0xd9,
0x06,0xea,0x17,0x92,0xa2,0x49,0xd3,0x86,0x8a,0x14,
0x36,0x68,0x1f,0x5c,0x76,0x67,0xd7,0xa0,0x55,0xa4,
0x0f,0x05,0x75,0x2d,0x96,0xfa,0x91,0x3e,0xa5,0xf8,
0x10,0x5f,0x04,0xb1,0x5a,0x6c,0xa3,0x68,0xab,0x41,
0x50,0x69,0x1f,0x6a,0xa2,0xed,0xaa,0x68,0x76,0xef,
0x39,0xbe,0x54,0x08,0xba,0x63,0x67,0x66,0x67,0xe6,
0xae,0xcd,0xfc,0x60,0x5f,0x66,0xce,0xcc,0xfd,0xcf,
0x8f,0xf9,0x38,0xf7,0x2e,0xa6,0x7a,0x72,0x3f,0xc2,
0x32,0x45,0x00,0xce,0x09,0xd5,0x21,0x54,0x13,0x0a,
0x50,0x1d,0x40,0x35,0xa1,0x00,0xd5,0x01,0x54,0xa3,
0x59,0xef,0x11,0x0f,0x51,0x95,0x2f,0x07,0x98,0xc5,
0x37,0x90,0x61,0x2b,0x22,0xe7,0x6a,0xed,0xb3,0x14,
0x40,0x55,0xbe,0xfc,0xf6,0x97,0x07,0x7e,0xf0,0x2f,
0x56,0x70,0x0c,0xea,0x85,0x2b,0x4c,0xb2,0xe6,0xbe,
0x65,0xff,0x08,0x84,0x02,0x54,0x07,0x50,0x4d,0x28,
0x40,0x75,0x00,0xd5,0x84,0x02,0x54,0x07,0x50,0x8d,
0x75,0x23,0x74,0x03,0x86,0xba,0xcc,0x8e,0xea,0x4a,
0x4e,0x01,0xf1,0x16,0x04,0xb8,0x9d,0x51,0x5c,0x45,
0xc2,0x33,0x18,0x91,0xc7,0xdf,0x3c,0x3f,0xfe,0x9d,
0x97,0x21,0xfd,0xc4,0xc5,0x1d,0xc0,0x68,0xe8,0xf9,
0xc7,0x64,0x33,0x7f,0xc4,0x92,0x47,0x99,0x61,0x0b,
0x31,0xac,0x63,0xa2,0x7b,0x09,0xe4,0xb0,0x24,0xfc,
0xd0,0xd0,0xcd,0x51,0x00,0x46,0xef,0xe3,0x7a,0x8f,
0x63,0x01,0x86,0x6e,0x3e,0x4a,0xc4,0x13,0xc4,0x5c,
0xfb,0xee,0x61,0x8e,0x10,0xd1,0x01,0x23,0x6e,0xee,
0xab,0x3b,0x5d,0x00,0x38,0x12,0x30,0xd4,0x65,0x76,
0x30,0xc1,0xb3,0x76,0x6a,0x99,0x71,0xf4,0xe1,0xee,
0xfc,0x3a,0x77,0xb1,0x82,0xc3,0x91,0x80,0xea,0x0a,
0xde,0xc9,0xc0,0x4d,0x76,0x6a,0x99,0x48,0x68,0x11,
0xb1,0xcb,0x5d,0xac,0xe0,0x70,0xfa,0x08,0x74,0x3b,
0x2b,0xa7,0x1e,0x87,0xe7,0x0f,0x1c,0x47,0x02,0x90,
0xd1,0xd9,0x8b,0x4d,0x40,0xed,0x29,0x58,0x03,0xe1,
0x48,0x00,0x03,0x7d,0xe1,0xa8,0x1e,0xf9,0x9c,0xb3,
0x38,0xc1,0xe3,0x48,0xc0,0xa2,0xd6,0xf4,0x8e,0x40,
0xf1,0xbb,0x9d,0x5a,0x04,0x5c,0x94,0x12,0x4f,0xb8,
0x8b,0x15,0x1c,0x8e,0x04,0x9c,0xfc,0x7c,0xe4,0x0a,
0x20,0xd9,0xfb,0x0a,0x44,0x70,0xe2,0xff,0xb0,0xa0,
0xe2,0xb8,0x0f,0x28,0xcd,0x8e,0x9f,0x44,0x11,0xd9,
0x8b,0x02,0xae,0xd5,0x3c,0xa1,0x10,0x65,0x46,0x18,
0x3b,0x7e,0x7e,0xff,0xeb,0xf5,0xc7,0xf3,0x1f,0x57,
0xad,0xf0,0x5b,0xb3,0x63,0x53,0xc6,0xa6,0xc9,0x19,
0xf8,0x4d,0xee,0x40,0x94,0x9b,0x41,0xe0,0x2a,0x20,
0xfc,0x99,0x91,0x3f,0xfd,0x55,0x88,0xf7,0xa7,0xce,
0xed,0xff,0xc5,0xeb,0xa0,0x7e,0xe1,0x7a,0x2e,0x50,
0xfa,0x64,0xe4,0x1a,0x00,0xbc,0x71,0xfd,0xe7,0x2b,
0x86,0x9e,0x5d,0x5f,0x5e,0x84,0x4b,0xa7,0x2e,0x1c,
0x2c,0x7b,0x7d,0xee,0x06,0x9f,0x0d,0x32,0x1a,0xb1,
0xe2,0x23,0x40,0x62,0xba,0xa5,0x49,0x9b,0x1e,0xd4,
0x4d,0xdd,0xeb,0x11,0x1a,0x56,0xc0,0x8e,0x8d,0xc5,
0xb6,0xa4,0x5e,0x3c,0x4a,0x5c,0x7d,0x8e,0x00,0xa2,
0x4c,0xb4,0x16,0x89,0x4e,0xa5,0x63,0xe6,0x9e,0xff,
0x9a,0x68,0x19,0xdd,0x87,0xdb,0x53,0x1b,0xcd,0x4d,
0x76,0xc7,0x69,0x48,0x01,0xbb,0x63,0x85,0x7b,0x5a,
0x64,0xf5,0x34,0x92,0xdc,0xb6,0x74,0x3b,0x01,0x44,
0x25,0xd3,0xf3,0x49,0xbd,0x78,0x74,0xa0,0xef,0x85,
0xdb,0xfe,0x79,0x5c,0x2a,0x9e,0x7f,0x00,0xb4,0xe6,
0x0f,0x22,0x12,0x6c,0x77,0xa0,0xae,0xdf,0x01,0x7e,
0x90,0x81,0x8c,0xb8,0x18,0xbb,0x75,0xb8,0x0a,0x34,
0x0e,0x0c,0x11,0xab,0x3a,0x24,0xb9,0x2d,0xfa,0x67,
0x34,0x66,0xe8,0x85,0xe1,0xd2,0xec,0xd8,0xd9,0xa7,
0xee,0x9c,0x6c,0xfe,0x69,0x45,0xe5,0x10,0x48,0xde,
0x43,0x00,0x10,0x71,0xd0,0xaf,0x36,0x8c,0x80,0x5d,
0xbd,0x93,0xab,0xbf,0xa5,0xca,0x8b,0x20,0x29,0x61,
0xa7,0x9e,0x99,0x3a,0x11,0xc4,0xbb,0x86,0x9e,0x3b,
0x32,0x0f,0xd5,0x7e,0x20,0xde,0xe0,0x66,0xdc,0x86,
0x10,0x90,0x8a,0xe7,0xb7,0xb2,0xac,0xbc,0x44,0xc4,
0xab,0x9d,0x1c,0x47,0x4c,0x1a,0x30,0x8c,0x00,0x90,
0xeb,0xb1,0x95,0x0a,0x48,0x24,0x32,0x5a,0xe7,0x42,
0xcb,0x3e,0x92,0xf0,0x34,0x2a,0x5a,0x41,0x52,0x26,
0xc0,0xe8,0x3e,0xdc,0x0e,0xf3,0x2b,0x5f,0x26,0xa6,
0xcd,0x00,0xac,0x2a,0x86,0x1a,0x01,0xc9,0xde,0x7c,
0x3f,0x54,0xb9,0x48,0x4c,0x6d,0x2a,0xc6,0x5f,0x8a,
0x67,0x9f,0xc1,0x81,0x81,0x13,0x96,0x6f,0xed,0xbf,
0x79,0xa2,0xef,0xb5,0x68,0x3a,0x56,0xc8,0x60,0x85,
0x8f,0x11,0x83,0xf2,0x8b,0x07,0xf0,0x48,0x40,0xb2,
0x37,0xdf,0x1f,0xfd,0xfa,0xfb,0x8f,0x93,0x1b,0xf2,
0x29,0xab,0x26,0x65,0xf0,0xae,0xdc,0xda,0xf2,0x1f,
0xe5,0x29,0xc9,0xf2,0x71,0x2f,0xc6,0xf4,0x8a,0xba,
0x04,0x64,0x12,0x33,0x5a,0x5a,0x37,0x0f,0x61,0x85,
0x8f,0x31,0x71,0x3b,0x22,0xe7,0x8c,0x58,0xe1,0xc8,
0xf6,0xfb,0xb2,0xad,0x4b,0xeb,0xd2,0x3d,0x85,0x07,
0x51,0x13,0xd3,0x00,0x1c,0xaf,0x2f,0xae,0xf7,0xd4,
0xf5,0xc7,0xc8,0x37,0xf3,0x9f,0xbd,0xca,0xcc,0x77,
0x2f,0xdd,0x4e,0x4c,0xdb,0x5b,0xcb,0x91,0xde,0xdd,
0xf1,0xfc,0x5e,0xb1,0xaa,0xfc,0x55,0x65,0xa1,0x75,
0x42,0x92,0x4c,0xd7,0xf1,0xa5,0xf2,0x15,0x57,0x02,
0x06,0xf5,0xc2,0xfd,0x15,0xe0,0x49,0x20,0xfe,0x57,
0x3b,0x0a,0x00,0x40,0xc4,0x6b,0x00,0xc5,0x7b,0xb4,
0xd0,0x7a,0x89,0x89,0xd7,0xd4,0x17,0xd1,0x5f,0x1c,
0x09,0xc8,0x24,0x66,0xb4,0xb9,0x85,0xb3,0xcf,0x48,
0x92,0x4f,0xde,0xa8,0xf6,0x7a,0x93,0xd2,0xd0,0x17,
0x0f,0xe0,0x40,0xc0,0x50,0x97,0xd9,0x71,0x71,0xfe,
0xcc,0x2b,0xc0,0xd8,0xe7,0x67,0xa0,0xa0,0xb1,0x25,
0xc0,0xd0,0xb3,0xeb,0x25,0x71,0x56,0xb0,0x68,0x03,
0x80,0x39,0x9f,0x33,0xd5,0x0d,0xb2,0xb8,0x6a,0xb7,
0xd6,0x96,0x80,0xd2,0xec,0xc1,0x0b,0x00,0xb0,0xd3,
0x75,0xa2,0x06,0xa6,0x21,0xd7,0x03,0x82,0x24,0x14,
0xa0,0x3a,0x80,0x6a,0x42,0x01,0xaa,0x03,0xa8,0x26,
0x14,0xa0,0x3a,0x80,0x6a,0x96,0xbd,0x00,0xcb,0x46,
0x48,0x44,0xf1,0x0e,0x43,0xcf,0xde,0x12,0x64,0x18,
0xbf,0x60,0xa0,0x4e,0xab,0x7d,0xd6,0x9d,0x60,0x85,
0x4a,0x74,0xd3,0xdc,0x20,0xd6,0x6b,0x8e,0x37,0xcb,
0x15,0xba,0x26,0x14,0xa0,0x3a,0x80,0x6a,0x96,0xbd,
0x00,0x0d,0x01,0x17,0x55,0x87,0x50,0x05,0x01,0x56,
0x54,0x67,0x08,0x09,0x51,0xcc,0x5f,0x79,0x76,0x7c,
0x17,0x66,0x39,0xc8,0x84,0x00,0x00,0x00,0x00,0x49,
0x45,0x4e,0x44,0xae,0x42,0x60,0x82,};
static builtin_image_t images[]= {
{ ":file-html.png", I_0, sizeof(I_0) },
{ ":menu_sub.png", I_1, sizeof(I_1) },
{ ":file-dir.png", I_2, sizeof(I_2) },
{ ":file-pdf.png", I_3, sizeof(I_3) },
{ ":file-c.png", I_4, sizeof(I_4) },
{ ":file-generic.png", I_5, sizeof(I_5) },
{ ":shortcut.png", I_6, sizeof(I_6) },
{ ":file-image.png", I_7, sizeof(I_7) },
{ NULL, NULL,0}
};
#line 89 "/home/dodo/tmp/mudesk-1.0/desk/image.u"
  for(i=0;images[i].name;i++)
   if (!strcmp(images[i].name,name))
   {
     char *e;
     unsigned int *D,w,h;
     e= decode_png_image(images[i].data,images[i].size,&w,&h,&D);
     if (e) return 1;
     *Rw= w; *Rh= h; *Rd= (void*) D;
     return 0;
   }
   return 1;
}

static int load_icon_file
   (const char *name,uint32_t *Rw,uint32_t *Rh,uint32_t **Rd)
{
  char *e;
  unsigned int *D,w,h;
  e= read_png_image(name,&w,&h,&D);
  if (e) return 1;
  *Rw= w; *Rh= h; *Rd= (void*) D;
  return 0;
}

#line 5 "/home/dodo/tmp/mudesk-1.0/desk/image.u"

int load_icon(const char *name,uint32_t *Rw,uint32_t *Rh,uint32_t **Rd,int siz)
{
  uint32_t raw_w, raw_h, *raw_d;
  uint32_t res_w, res_h, *res_d;

  if (!name) return 1;

  if (name[0]==':')
  { 
    if (load_icon_builtin(name, &raw_w, &raw_h, &raw_d)) return 1;
  } 
  else
  {
    if (load_icon_file(name, &raw_w, &raw_h, &raw_d)) return 1;
  }

  if (raw_w<=siz && raw_h<=siz) { *Rw= raw_w; *Rh= raw_h; *Rd= raw_d; return 0; }

  if (resize_image_argb(raw_d, raw_w, raw_h, siz, siz,
                        &res_d, &res_w, &res_h))
  {
    uint32_t x,y;
    res_w = raw_w > siz ? siz: raw_w;
    res_h = raw_h > siz ? siz: raw_h;
    res_d= malloc(res_w * res_h *sizeof(uint32_t));
    for(y=0;y<res_h;y++)
      for(x=0;x<res_w;x++)
        res_d[x+y*res_w]= raw_d[x+y*raw_h];
  }
  *Rw= res_w;
  *Rh= res_h;
  *Rd= res_d;
  free(raw_d);
  return 0;
}

