/*
Copyright (c) 2016 Şükrü Çınar.

All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef _DOT__DOT__SLASH_INCLUDE_SLASH_SCAUX_SLASH_PNGIO_DOT_H_INCLUDED
#define _DOT__DOT__SLASH_INCLUDE_SLASH_SCAUX_SLASH_PNGIO_DOT_H_INCLUDED

#ifdef __cplusplus
extern "C"
{
#endif
  char *read_png_image
    (const char *fn, unsigned int *Rw, unsigned int *Rh, unsigned int **Rdata);
  char *write_png_image
    (const char *fn, unsigned int w, unsigned int h, unsigned int *data);
  char *get_png_dimensions (const char *fn, unsigned int *Rw, unsigned int *Rh);

  char *decode_png_image
  (const unsigned char *data, size_t len,
   unsigned int *Rw, unsigned int *Rh, unsigned int **Rdata);

char *read_png_graymap_noalpha
  (const char *fn, unsigned int *Rw, unsigned int *Rh, unsigned char **Rdata);


char *encode_png_g8
  (unsigned int w, unsigned int h, unsigned char *data,
   unsigned int *Rlen, unsigned char **Rdata);


char *decode_png_g8
  (const unsigned char *data, size_t len,
   unsigned int *Rw, unsigned int *Rh, unsigned char **Rdata);


char *read_png_g8_filep
  (FILE *fp, unsigned int *Rw, unsigned int *Rh, unsigned char **Rdata,int *eof);

#ifdef __cplusplus
}
#endif

#endif
