/*
Copyright (c) 2016 Şükrü Çınar.

All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright notice,
   this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
#line 51 "/home/dodo/tmp/mudesk-1.0/desk/rect.u"
#include <stdint.h>
#include <stdlib.h>
#include "rect.h"

#line 70 "/home/dodo/tmp/mudesk-1.0/desk/rect.u"

static int n_spc, s_spc;
static rect_t *spc;

#line 11 "rect.c"

static void alloc_spc(int n);
#line 128 "/home/dodo/tmp/mudesk-1.0/desk/rect.u"

static void alloc_spc(int n)
{
  if (s_spc-n_spc>=n) return ;
  if (s_spc==0) 
  {
    spc= malloc(sizeof(*spc)*500);
    s_spc= 500;
  }
  else
  {
    s_spc+= s_spc/2 + n;
    spc= realloc(spc,sizeof(*spc)*s_spc);
  }
}
#line 7 "/home/dodo/tmp/mudesk-1.0/desk/rect.u"

void rect(rect_t *R,int l,int t,int r,int b)
{
  R->top= t; R->left= l;
  R->right= r; R->bot= b;
}

  // we have: B-A
int subtract_rectangle(rect_t B, rect_t *A, rect_t *D)
{
  int N;
  N= 0;
  
  if (B.top>A->bot || B.bot<A->top || B.left>A->right || B.right<A->left)
     return 0;

  if (B.top>A->top && B.top<=A->bot)
  {
    rect(D+N, A->left, A->top, A->right, B.top-1);
    A->top= B.top;
    N++;
  }
  if (B.bot>=A->top && B.bot<A->bot)
  {
    rect(D+N, A->left, B.bot+1, A->right, A->bot);
    A->bot= B.bot;
    N++;
  }
  if (B.left>A->left && B.left<=A->right)
  {
    rect(D+N, A->left, A->top, B.left-1, A->bot);
    A->left= B.left;
    N++;
  }
  if (B.right>=A->left && B.right<A->right)
  {
    rect(D+N, B.right+1, A->top, A->right, A->bot);
    A->right= B.right;
    N++;
  }
  return N;
}

#line 75 "/home/dodo/tmp/mudesk-1.0/desk/rect.u"

void spc_init(int w,int h)
{
  n_spc= 0;
  alloc_spc(1);
  rect(spc+n_spc, 0,0,w-1,h-1);
  n_spc= 1;
}

void spc_alloc(uint32_t *Rx, uint32_t *Ry, int w,int h)
{
  int i;
  rect_t IC;
  if (w<=0 || h<=0) goto done;
  for(i=0;i<n_spc;i++)
    if (w<=(spc[i].right-spc[i].left+1) &&
        h<=(spc[i].bot-spc[i].top+1))
    {
      alloc_spc(4);
      *Rx= spc[i].left;
      *Ry= spc[i].top;
      rect(&IC, spc[i].left, spc[i].top, spc[i].left+w-1, spc[i].top+h-1);
      n_spc+= subtract_rectangle(IC, spc+i, spc+n_spc);
      spc[i]= spc[n_spc-1];
      n_spc--;
      return ;
    }
done:
  *Rx= *Ry= 0;
}

void spc_remove(int x,int y,int w,int h)
{
  int i;
  rect_t IC;
  int mod;

  if (w<=0 || h<=0) return ;

  mod= 1;
  for(i=0;i<n_spc;i++)
  {
    if (mod) rect(&IC,x,y,w,h);
    alloc_spc(4);
    if ((mod= subtract_rectangle(IC,spc+i, spc+n_spc)))
    {
      spc[i]= spc[n_spc-1];
      n_spc+= mod - 1;
    }
  }
}

